software-properties (0.111) plucky; urgency=medium

  * qt: Update driver tab with new Qt6 attributes (LP: #2097820)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 10 Apr 2025 09:07:47 -0700

software-properties (0.110) plucky; urgency=medium

  * gtk: Make driver search process non-daemonic (LP: #2089757)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 01 Apr 2025 16:08:29 +0200

software-properties (0.109) plucky; urgency=medium

  [ Simon Quigley ]
  * Remove obsolete LXDE data.

  [ Nathan Pratta Teodosio ]
  * Screen reader: Announce "APT line" in add dialog.
  * Screen reader: Announce token validity.

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 19 Feb 2025 11:31:23 +0100

software-properties (0.108) plucky; urgency=medium

  [ Sebastien Bacher ]
  * Updates: set labelled-by relation for the combo widgets
  * Remove CdromProgress.py from the list of files to translate

  [ Nathan Pratta Teodosio ]
  * Screen reader announces "Add APT Repository" for this dialog.
  * Screen reader announces compliance and hardening expander.

  [ Julian Andres Klode ]
  * Manage trusted.gpg.d as a set of files, not a set of keys

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 20 Dec 2024 15:53:22 +0100

software-properties (0.107) plucky; urgency=medium

  * tests: ASCII-armored keys must be stored as .asc
  * gtk: Remove handling of CDROM sources, and
    softwareproperties/gtk/CdromProgress.py from POTFILES.in
  * Remove "Restore defaults" button and associated code, this doesn't work anymore
  * Also hide the Revert button in the authentication page
  * gtk: Replace deprecated GtkVBox/GtkHBox with GtkBox

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 28 Nov 2024 12:48:35 +0100

software-properties (0.105) plucky; urgency=medium

  * cloudarchive: Enable support for the Epoxy Ubuntu Cloud Archive on
    24.04 (LP: #2086844).

 -- James Page <james.page@ubuntu.com>  Thu, 07 Nov 2024 09:23:50 +0000

software-properties (0.104) plucky; urgency=medium

  * Port the Qt frontend to Qt 6.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 16 Oct 2024 16:24:19 -0500

software-properties (0.103) oracular; urgency=medium

  * Make driver scan in "Additional drivers" cancellable. Fix the scan
    preventing the window from being closed (LP: #2076084).

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Tue, 27 Aug 2024 11:11:21 +0200

software-properties (0.102) oracular; urgency=medium

  * Use pytest for autopkgttests (LP: #2077940)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Mon, 09 Sep 2024 13:06:49 +0200

software-properties (0.101) oracular; urgency=medium

  * Revert "ppa: Cache the launchpad objects across objects"
  * Cache Launchpad objects in add-apt-repository --refresh-keys

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 20 Aug 2024 18:19:17 +0200

software-properties (0.100) oracular; urgency=medium

  * ppa: Cache the launchpad objects across objects
  * Explicitly pass --show-keys to get fingerprints
  * Implement add-apt-repository --refresh-keys (LP: #2077162), a new tool
    fo refresh Launchpad PPA keys and tell you about other third-party keys.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 19 Aug 2024 12:43:33 +0200

software-properties (0.99.53) oracular; urgency=medium

  * add-apt-repository: do not enable pockets for security.ubuntu.com
  * add-apt-repository: Enable general deb822 support (LP: #2061128)
  * Fix truncating long comments (regression from LP#2060915) (LP: #2063484)

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 12 Aug 2024 12:24:27 +0200

software-properties (0.99.52) oracular; urgency=medium

  * cloudarchive: correct spelling of Dalmatian.

 -- James Page <james.page@ubuntu.com>  Tue, 23 Jul 2024 09:20:34 +0100

software-properties (0.99.51) oracular; urgency=medium

  * cloudarchive: Enable support for the Dalmation Ubuntu Cloud Archive on
    24.04 (LP: #2073742).

 -- James Page <james.page@ubuntu.com>  Mon, 22 Jul 2024 09:50:27 +0100

software-properties (0.99.50) oracular; urgency=medium

  * Reload the source code state when reloading sources.list (LP: #2069433)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 14 Jun 2024 17:02:16 +0200

software-properties (0.99.49) noble; urgency=medium

  * Add Qt frontend for deb822 sources, which is now the default in Noble
    (LP: #2061214).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 22 Apr 2024 14:22:26 -0500

software-properties (0.99.48) noble; urgency=medium

  * Fix Python's warning of invalid escape sequence (LP: #2059412).
  * Make pressing enter on close button of out-of-date cache dialog trigger
    the close button, not the reload button (LP: #2061978).
  * Limit the comments in 'other software' tab to a single line (LP: #2060915).
  * apt-add-repository --list now displays deb822 sources (LP: #2060331).

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Thu, 18 Apr 2024 09:17:51 +0200

software-properties (0.99.47) noble; urgency=medium

  * Fix failed removal of Deb822 formated source in "Other Software" tab
    (LP: #2059796).

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Tue, 09 Apr 2024 09:02:50 +0200

software-properties (0.99.46) noble; urgency=medium

  * ppa: do not enable deb822 logic when input is sources.list line or URI
    (LP: #2037210)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 28 Mar 2024 14:47:51 -0400

software-properties (0.99.45) noble; urgency=medium

  * softwareproperties/gtk/utils.py: use `pro` instead of `ua`
  * d/control: Depend on ubuntu-pro-client instead of ubuntu-advantage-tools
    (LP: #2057671)

 -- Calvin Mwadime <calvin.mwadime@canonical.com>  Thu, 28 Mar 2024 12:35:35 +0300

software-properties (0.99.44) noble; urgency=medium

  * Handle backup and restore of deb822 sources (LP: #2053228)

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 20 Mar 2024 13:18:16 +0100

software-properties (0.99.43) noble; urgency=medium

  * Fix autopkgtest: Make sure directory exists before trying to create file
    in it (LP: #2058035).

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Fri, 15 Mar 2024 14:36:30 +0100

software-properties (0.99.42) noble; urgency=medium

  * Support deb822 lists for Ubuntu sources (LP: #2033949)
  * Bump python3-apt dependency to 2.7.1~

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 05 Dec 2023 18:47:47 +0100

software-properties (0.99.40) noble; urgency=medium

  * cloudarchive: Enable support for the Caracal Ubuntu Cloud Archive on
    22.04 (LP: #2040273).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 24 Oct 2023 08:20:52 -0400

software-properties (0.99.39) mantic; urgency=medium

  * Add cjwatson patch to use getArchiveSubscriptionURL() for private PPAs
  * Fix getArchiveSubscriptionURL() API call and tests
  * Resolve adding private PPAs, which do not yet have a token LP: #1991553

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Fri, 25 Aug 2023 22:17:31 +0100

software-properties (0.99.38) mantic; urgency=medium

  * Stop using KUrl and KFileDialog (LP: #1795278).

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Tue, 22 Aug 2023 22:57:54 -0500

software-properties (0.99.37) mantic; urgency=medium

  [ Nick Rosbrook ]
  * Enable deb822 support for PPAs, with GPG key embedded in .sources file.

  [ Julian Andres Klode ]
  * Minor tweaks to the deb822 PPA support

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 16 May 2023 10:57:35 +0200

software-properties (0.99.36) mantic; urgency=medium

  * cloudarchive: Enable support for the Bobcat Ubuntu Cloud Archive on
    22.04 (LP: #2018457).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 04 May 2023 10:12:11 +0200

software-properties (0.99.35) lunar; urgency=medium

  * Revert the previous change, the service isn't ready

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 27 Mar 2023 21:29:03 +0200

software-properties (0.99.34) lunar; urgency=medium

  [ Nathan Pratta Teodosio ]
  * Enable the Ubuntu Pro tab also in interim releases
    (FFe lp: #2011697)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 21 Mar 2023 10:49:45 +0100

software-properties (0.99.33) lunar; urgency=medium

  [ Sebastien Bacher ]
  * Replace the ubuntu pro images using the version provided by design

  [ Nick Rosbrook ]
  * Add GTK edit dialog for deb822 sources
  * Add deb822 parameter to SoftwareProperties class
  * Bump python3-apt dependency to >= 2.5.3

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Thu, 23 Feb 2023 11:27:37 -0500

software-properties (0.99.32) lunar; urgency=medium

  [ Nathan Pratta Teodosio ]
  * Disable the Ubuntu Pro UI with an explanation when not connected
    (lp: #2004634)
  * Catch exceptions to wait (lp: #2003996)
  * Initialize pin as empty string (lp: #2004245)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 02 Feb 2023 15:37:06 +0100

software-properties (0.99.31) lunar; urgency=medium

  * Upload extra tweaks to the Ubuntu Pro tab

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 23 Jan 2023 11:29:37 +0100

software-properties (0.99.30) lunar; urgency=medium

  * Update for the Ubuntu Pro tab, thanks Nathan Pratta Teodosio

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 16 Dec 2022 22:38:10 +0100

software-properties (0.99.29) lunar; urgency=medium

  * cloudarchive: Enable support for the Antelope Ubuntu Cloud Archive on
    22.04 (LP: #1996067).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Dec 2022 14:26:51 -0500

software-properties (0.99.28.1) kinetic; urgency=medium

  * softwareproperties/qt/SoftwarePropertiesQt.py: Don't crash if the driver
    package does not have a matching modules package (LP: #1993370)

 -- Brian Murray <brian@ubuntu.com>  Wed, 19 Oct 2022 07:38:40 -0700

software-properties (0.99.27) kinetic; urgency=medium

  * Don't display the Ubuntu Pro tab on non LTS series since the service
    isn't available there.

  [ Robert Ancell ]
  * Show Ubuntu Pro settings (LP: #1990448).

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 07 Oct 2022 09:47:15 +0200

software-properties (0.99.26) kinetic; urgency=medium

  * Drop unused snapd-glib dependencies

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 24 Aug 2022 08:53:52 -0400

software-properties (0.99.25) kinetic; urgency=medium

  * Fix GPG keys are not shown in Software and Updates (LP: #1970449)
  * Remove trailing spaces
  * Drop obsolete imports from __future__
  * Remove duplicate keys in desktop files
  * d/copyright: Use https URLs instead of http
  * d/copyright: Correct path to add-apt-repository.1
  * Drop obsolete Conflicts & Replaces
  * Fix spelling mistake of repository
  * Set Rules-Requires-Root: no
  * Bump Standards-Version to 4.6.1
  * Add Vcs-Browser

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 26 Jul 2022 13:03:28 +0200

software-properties (0.99.24) kinetic; urgency=medium

  * softwareproperties/gtk/SoftwarePropertiesGtk.py:
    Don't crash if the driver package does not have a matching modules package
    Fixes LP: #1969460

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 30 May 2022 16:50:03 +0200

software-properties (0.99.23) kinetic; urgency=medium

  * cloudarchive: Enable support for the Zed Ubuntu Cloud Archive on
    22.04 (LP: #1970244).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 29 Apr 2022 13:51:04 -0400

software-properties (0.99.22) jammy; urgency=medium

  * If add-apt-repository is passed a complete soures.list line don't require
    the --login option as that breaks automated setups. Thanks to Dan
    Streetman for the fix. (LP: #1965180)

 -- Brian Murray <brian@ubuntu.com>  Fri, 01 Apr 2022 11:48:01 -0700

software-properties (0.99.21) jammy; urgency=medium

  * Remove Ubuntu Pro settings (LP: #1965993)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 23 Mar 2022 12:11:31 +1300

software-properties (0.99.20) jammy; urgency=medium

  [ Alberto Milone ]
  * Update to be compatible with the new ubuntu-drivers-common version
    (lp: #1964880)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 22 Mar 2022 10:38:01 +0100

software-properties (0.99.19) jammy; urgency=medium

  * Support GNOME 42 dark mode
  * debian/control: Have software-properties-gtk depend on gir1.2-handy-1

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 17 Feb 2022 08:10:10 -0500

software-properties (0.99.18) jammy; urgency=medium

  [ Colin Watson ]
  * Use new HTTPS-capable PPA domains (LP: #1959015).

 -- Brian Murray <brian@ubuntu.com>  Mon, 07 Feb 2022 10:33:15 -0800

software-properties (0.99.17) jammy; urgency=medium

  * Show all Ubuntu Advantage services (LP: #1958311)

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 31 Jan 2022 16:29:50 +1300

software-properties (0.99.16) jammy; urgency=medium

  * Show Ubuntu Pro banner on Livepatch page (LP: #1934439)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 17 Nov 2021 16:17:44 +1300

software-properties (0.99.15) jammy; urgency=medium

  * utils: prefer /var/lib/ubuntu-advantage/status.json over ua status
    - Handle absent /var/lib/ubuntu-advantage/status.json for non-root
      users (LP: #1939732)
    - print unexcepted errors and if _schema_version not equal to 0.1

 -- Chad Smith <chad.smith@canonical.com>  Fri, 29 Oct 2021 15:46:58 -0600

software-properties (0.99.14) jammy; urgency=medium

  * cloudarchive: Enable support for the Yoga Ubuntu Cloud Archive on
    20.04 (LP: #1948806).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 26 Oct 2021 08:24:04 -0400

software-properties (0.99.13) impish; urgency=medium

  * Catch exception if UA status file is not written

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 11 Jun 2021 17:16:09 +1200

software-properties (0.99.12) impish; urgency=medium

  * Show ESM support status (LP: #1920836)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 10 Jun 2021 14:37:39 +1200

software-properties (0.99.11) impish; urgency=medium

  * cloudarchive: Enable support for the Xena Ubuntu Cloud Archive on
    20.04 (LP: #1926796).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 30 Apr 2021 14:02:43 -0400

software-properties (0.99.10) hirsute; urgency=medium

  * softwareproperties/CountryInformation.py:
    - Remove use of getiterator which is deprecated in python3.9
      (lp: #1909918)

  [ Robert Ancell ]
  * Updated translations template

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 16 Apr 2021 12:05:30 +0200

software-properties (0.99.8) hirsute; urgency=medium

  [ William 'jawn-smith' Wilson ]
  * Enable tests for armhf. They should be more reliable now that the huge
    for loops have been removed.

 -- Brian Murray <brian@ubuntu.com>  Thu, 18 Feb 2021 14:40:39 -0800

software-properties (0.99.7) hirsute; urgency=medium

  * Fix add-apt-repository operation (LP: #1913601)
  * Add build-time test for add-apt-repository
  * Remove autopkgtests for add-apt-repository

 -- Dan Streetman <ddstreet@canonical.com>  Thu, 11 Feb 2021 06:51:01 -0500

software-properties (0.99.6) hirsute; urgency=medium

  [ William 'jawn-smith' Wilson ]
  * Fixing an incorrect variable being passed to GTK message dialog creation
    function (LP: #1829401)

  [ Shivaram Lingamneni ]
  * Update livepatch code to remove use of python-requests-unixsocket;
    the usage is trivial and we can remove the dependency

 -- Brian Murray <brian@ubuntu.com>  Mon, 01 Feb 2021 16:08:37 -0800

software-properties (0.99.5) hirsute; urgency=medium

  [ Julian Andres Klode ]
  * test_aptsources.py: Fix for distro info unification in python-apt
  * po: Update template

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 09 Dec 2020 15:33:26 +0100

software-properties (0.99.4) hirsute; urgency=medium

  * cloudarchive: Enable support for the Wallaby Ubuntu Cloud Archive on
    20.04 (LP: #1902710).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 03 Nov 2020 08:58:47 -0500

software-properties (0.99.3) groovy; urgency=medium

  * SECURITY UPDATE: malicious repo could send ANSI sequences to terminal
    (LP: #1890286)
    - add-apt-repository: strip ANSI sequences from the description.
    - CVE-2020-15709

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 17 Aug 2020 10:19:34 -0400

software-properties (0.99.2) groovy; urgency=medium

  * softwareproperties/AptAuth.py,
    softwareproperties/SoftwareProperties.py:
    - fix various unclosed subprocesses and files
    - remove add_key() worker thread
  * softwareproperties/LivepatchService.py:
    - replace deprecated GObject.PARAM_READABLE
  * tests/test_dbus.py:
    - clean up bus correctly and stop segfaulting

 -- Dan Streetman <ddstreet@canonical.com>  Thu, 06 Aug 2020 16:29:12 -0400

software-properties (0.99.1) groovy; urgency=medium

  * Fix failing test_pyflakes3_clean test.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 22 Jul 2020 09:11:14 -0500

software-properties (0.99.0) groovy; urgency=medium

  [ Dan Streetman ]
  * Extensive refactor to add-apt-repository.
    - https://code.launchpad.net/~ubuntu-support-team/software-properties/+git/software-properties/+merge/379928

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 22 Jul 2020 08:47:45 -0500

software-properties (0.98.10) groovy; urgency=medium

  [ Sebastien Bacher ]
  * softwareproperties/gtk/LivepatchPage.py:
    - set error string in the init so it happens after the textdomain
      is set, also fix the string used with gettext (lp: #1873272)

  [ Corey Bryant ]
  * cloudarchive: Enable support for the Victoria Ubuntu Cloud Archive on
    20.04 (LP: #1882583).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 08 Jun 2020 14:18:42 -0400

software-properties (0.98.9) focal; urgency=medium

  * softwareproperties/gtk/SoftwarePropertiesGtk.py:
    - Gtk is doing something that takes a lock while processing checkbox
      toggled events, the polkit auth dialog can't be displayed in return,
      we don't have a proper fix and it might require GTK changes,
      meanwhile we want a working interface so workaround with a sleep
      (lp: #1727908)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 16 Apr 2020 11:57:50 +0200

software-properties (0.98.8) focal; urgency=medium

  * Move get_dependencies from SoftwarePropertiesGtk to SoftwareProperties
    and adjust both Qt and Gtk frontends to use that (LP: #1872551)

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 16 Apr 2020 10:41:28 +0200

software-properties (0.98.7) focal; urgency=medium

  * softwareproperties/gtk/SimpleGtkbuilderApp.py: Fix a typo in the
    keyboard interrupt handling code (LP: #1860143).
  * Updates tab:
    - replace checkboxes with a combobox (LP: #887079)
    - add a label for snap package updates frequency
    - center the contents of the tab and make padding/spacing more consistent

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 27 Feb 2020 15:38:46 +0100

software-properties (0.98.6) focal; urgency=medium

  * cloudarchive: Enable support for the Ussuri Ubuntu Cloud Archive on
    18.04 (LP: #1852489).
  * softwareproperties/dbus/SoftwarePropertiesDBus.py: In SetUpdateInterval,
    convert days argument from dbus.Int32 to int before passing to
    set_update_interval. This fixes a test failures as apt_pkg.config.set
    didn't understand a dbus.Int32 type (LP: #1852772).
  * debian/control: Add gpg and gpg-agent to Build-Depends to fix failing
    unit tests (LP: #1852773).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Nov 2019 16:00:59 -0500

software-properties (0.98.5) eoan; urgency=medium

  * cloudarchive: Update outdated WEB_LINK that is presented when
    cloud archive is enabled (LP: #1836258).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 12 Jul 2019 10:02:43 -0400

software-properties (0.98.4) eoan; urgency=medium

  * debian/control:
    - let software-properties-common depends on python3-requests-unixsocket
      (lp: #1831116)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 30 May 2019 18:09:06 +0200

software-properties (0.98.3) eoan; urgency=medium

  * debian/control:
    - required snapd-glib 1.42 (lp: #1830353)
  * data/software-properties-drivers.desktop.in:
    - enable the "Additional Drivers" desktop entry under GNOME, having it
      in "software sources" is not logical (lp: #1710377)

  [ Iain Lane ]
  * softwareproperties/gtk/LivepatchPage.py:
    - livepatch: Always pass a string to SetLivePatchEnabled (lp: #1830348)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 24 May 2019 15:20:34 +0200

software-properties (0.98.2) eoan; urgency=medium

  * cloudarchive: Enable support for the Train Ubuntu Cloud Archive on
    18.04 (LP: #1829017).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 14 May 2019 09:51:17 -0400

software-properties (0.98.1) eoan; urgency=medium

  [ Andrea Azzarone ]
  * Livepatch: Handle applying state, it's transient by not dealing with it
    can lead to refresh issues
  * Livepatch: Add a checkbutton to hide/show the indicator in the top bar.

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 10 May 2019 16:42:08 +0200

software-properties (0.98.0) eoan; urgency=medium

  * Port to PackageKit (LP: #1673258); thanks to  Matthias Klumpp for the
    initial work on this in Debian.
  * Run wrap-and-sort
  * Import patches from Debian to minimize delta:
    - Have AppStream ignore software-properties-drivers.desktop
    - Hack around test suite expecting Ubuntu
    - Machine-readable debian/copyright

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2019 10:51:45 +0200

software-properties (0.97.11) disco; urgency=medium

  * Added software-properties-lxqt.desktop and software-properties-drivers-lxqt.desktop to software-properties-qt.install

 -- Hans P Moller <hmollercl@lubuntu.me>  Thu, 11 Apr 2019 12:04:11 -0400

software-properties (0.97.10) disco; urgency=medium

  * Remove lxqt-sudo from exec line in software-properties-qt.desktop
    (LP: #1823306)
  * Make invisible software-properties-qt.desktop
  * Create software-properties-lxqt.desktop with lxqt-sudo and shown only in LXQt
  * Rename software-properties-drivers-qt.desktop to software-properties-drivers-lxqt.desktop

 -- Hans P Möller <hmollercl@lubuntu.me>  Wed, 10 Apr 2019 16:38:53 -0400

software-properties (0.97.9) disco; urgency=medium

  [ Andrea Azzarone ]
  * Don't segfault if GoaClient.new fails. Also make it async to not
    block the UI. (lp: #1818992)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 15 Mar 2019 00:10:08 +0100

software-properties (0.97.8) disco; urgency=medium

  * Change debconf frontend to kde for software-properties-qt.
  * Change Qt Desktop Entry to be shown in LXQt.
  * Add Drivers Qt Desktop Entry to be shown in LXQt.
  * Fix adding of PPAs (LP: #1801439).
  * Fixed typos in Qt Additional Driver tab.

 -- Hans P. Moller <hmollercl@lubuntu.me>  Thu, 21 Feb 2019 22:49:39 -0300

software-properties (0.97.7) disco; urgency=medium

  [ Andrea Azzarone ]
  * LivepatchPage: Make sure the scrolled window of the error message view
    is always visible (lp: #1817352)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 25 Feb 2019 15:47:00 +0100

software-properties (0.97.6) disco; urgency=medium

  * debian/control:
    - really include the required build-depends

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 19 Feb 2019 10:39:11 +0100

software-properties (0.97.5) disco; urgency=medium

  * debian/control:
    - build-depends on gir1.2-gtk-3.0 as well

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 19 Feb 2019 09:20:43 +0100

software-properties (0.97.4) disco; urgency=medium

  * debian/control:
    - Build-Depends on python3-distro-info which is needed now for the
      test during the build

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 18 Feb 2019 18:17:45 +0100

software-properties (0.97.3) disco; urgency=medium

  * Move Livepatch UI in a different tab.
  * Add a Livepatch desktop file.
  * debian/control:
    - Remove gir1.2-secret-1 dep, it is no longer needed.
    - Add python3-dateutil and python3-requests-unixsocket dep, they are
      required by LivepatchService.py.

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Tue, 29 Jan 2019 18:29:18 +0000

software-properties (0.97.2) disco; urgency=medium

  * Install python3-aptdaemon with software-properties-qt.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 12 Feb 2019 18:00:02 -0600

software-properties (0.97.1) disco; urgency=medium

  * Add "additional driver" tab for the Qt version.

 -- Hans P. Möller <hmollercl@lubuntu.me>  Sat, 09 Feb 2019 17:08:39 -0600

software-properties (0.96.32) disco; urgency=medium

  * softwareproperties/gtk/DialogAuth.py:
    - Log call_ensure_credentials_finish errors, fixes the build failing
      due to pyflakes warning about an unused variable

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 24 Jan 2019 10:11:25 +0100

software-properties (0.96.31) disco; urgency=medium

  * Remove the migration script, it was online needed until bionic

  [ Andrea Azzarone ]
  * data/gtkbuilder/dialog-auth.ui: Update design of the authentication
    dialog.
  * softwareproperties/gtk/DialogAuth.py: Implement new design of the
    authentication dialog.

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 22 Jan 2019 20:53:19 +0100

software-properties (0.96.30) disco; urgency=medium

  [ Carlo Vanini ]
  * Fix removal of signing keys in the Authentication tab always failing.
    (lp: #1656100)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 15 Jan 2019 10:48:27 +0100

software-properties (0.96.29) disco; urgency=medium

  * SoftwarePropertiesGtk.py: when checking a package's depends for DKMS also
    pass on an AttributeError (LP: #1807373)

 -- Brian Murray <brian@ubuntu.com>  Tue, 11 Dec 2018 14:35:40 -0800

software-properties (0.96.28) disco; urgency=medium

  * cloudarchive: Enable support for the Stein Ubuntu Cloud Archive on
    18.04 (LP: #1805436).
  * Fix pyflakes error in properties/ppa.py:305: local variable
    'e' is assigned to but never used.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 27 Nov 2018 08:57:35 -0500

software-properties (0.96.27) cosmic; urgency=medium

  * Fix tests (including dep8) when running on non-intel (LP: #1785683).

 -- Scott Moser <smoser@ubuntu.com>  Mon, 06 Aug 2018 14:33:31 -0400

software-properties (0.96.26) cosmic; urgency=medium

  * Get PPA key signing data from launchpad https rather than keyserver.
    (LP: #1667725)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 03 Aug 2018 10:53:28 -0400

software-properties (0.96.25) cosmic; urgency=medium

  * Port the KDE frontend to a pure Qt frontend that Lubuntu can use as well.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Jul 2018 05:48:14 -0500

software-properties (0.96.24.36) cosmic; urgency=medium

  * SoftwarePropertiesGtk.py: Hide livepatch widgets in flavors without
    an online account panel in gnome-control-center (LP: #1770686).

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Wed, 25 Jul 2018 17:42:31 +0200

software-properties (0.96.24.35) cosmic; urgency=medium

  * Retry on failed lookups of gpg keys (LP: #1779302)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 17 Jul 2018 10:55:34 -0400

software-properties (0.96.24.34) cosmic; urgency=medium

  [ Andrea Azzarone ]
  * Allow the user to disable livepatch if the gnome-online-account expired.
    (lp: #1768797)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 04 Jul 2018 15:38:17 +0200

software-properties (0.96.24.33) cosmic; urgency=medium

  * cloudarchive: Enable support for the Rocky Ubuntu Cloud Archive on
    18.04 (LP: #1769920).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 May 2018 10:58:48 -0400

software-properties (0.96.24.32.2) bionic; urgency=medium

  * SoftwarePropertiesGtk.py: uninstall the actual nvidia packages,
    not only the meta-package (LP: #1753333).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 02 May 2018 15:58:01 +0200

software-properties (0.96.24.32.1) bionic; urgency=medium

  * debian/control.in:
    - Build-Depends on dh-migrations to fix the build

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 18 Apr 2018 16:50:03 +0200

software-properties (0.96.24.32) bionic; urgency=medium

  * data/com.ubuntu.SoftwareProperties.gschema.xml: Add gsettings schema
    to store the goa account id used to login in Livepatch.
  * debian/rules: Use dh_migrations.
  * debian/software-properties-gtk.install: install the gsetting schema.
  * debian/software-properties-gtk.migrations: Use dh_migrations.
  * softwareproperties/GoaAuth.py: Use gsettings instead of libsecrets
    to store the goa account id used to login in Livepatch (LP: #1764474).
  * softwareproperties/gtk/SoftwarePropertiesGtk.py: Update the UI
    if the account id changes settings-side.
  * tools/migration-scripts/01_migrate_from_keyring: Migrate the account id
    from the keyring to gsettings.

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Tue, 17 Apr 2018 13:25:44 +0200

software-properties (0.96.24.31) bionic; urgency=medium

  * Build-Depend on dbus-11 and gir1.2-snapd-1 for build tests
  * Don't ignore failing tests

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 13 Apr 2018 09:17:39 -0400

software-properties (0.96.24.30) bionic; urgency=medium

  * Don't use python2 in autopkgtests (LP: #1763694)
  * Update translation template

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 13 Apr 2018 08:57:46 -0400

software-properties (0.96.24.29) bionic; urgency=medium

  * Drop obsolete software-properties-gnome.desktop to eliminate
    duplication in the GNOME Software app
  * Drop unused Python 2 python-software-properties
  * Build with pybuild to simplify build
  * Add several Build-Depends now that build tests are being run
  * Ignore build test failures temporarily because of difficuly
    getting the dbus tests to work. See bug 1763435.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 12 Apr 2018 11:57:35 -0400

software-properties (0.96.24.28) bionic; urgency=medium

  [ Martin Wimpress ]
  * Allow mate-session-manager to fulfill the gnome-session-bin Recommends
    (LP: #1762807)

  [ Jeremy Bicha ]
  * Add Appstream metadata with compulsory_for_desktop fields to prevent
    the accidental uninstallation of ubuntu-desktop in GNOME Software.
    ubuntu-desktop depends on software-properties-gtk.
  * Build-Depend on dh-python

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 10 Apr 2018 17:12:59 -0400

software-properties (0.96.24.27) bionic; urgency=medium

  * debian/control: Move gir1.2-goa-1.0, gir1.2-secret-1,
    and gir1.2-snapd-1 dependencies from software-properties-common
    to software-properties-gtk (LP: #1762082).
  * SoftwareProperties.py: Wrap importing of gir1.2-snapd-1 in a
    try-except block in order to avoid failures in add-apt-repository.

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Mon, 09 Apr 2018 09:19:23 +0200

software-properties (0.96.24.26) bionic; urgency=medium

  * debian/control:
    - Mark gnome-keyring as recommended, which provides
      org.freedesktop.secrets.service.
  * GoaAuty.py:
    - Show warning and avoid crashing if gnome-keyring is not installed.
      (LP: #1760096)
  * SoftwareProperties.py:
    - install canonical-livepatch from stable channel (LP: #1760117)

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Tue, 03 Apr 2018 16:04:32 +0200

software-properties (0.96.24.25) bionic; urgency=medium

  * ppa.py:
   - rework key retrieval, instead of using hkp & gnupg/dirmngr, use https
     & python's built in urllib.
   - thus, add-apt-key for PPAs observes https_proxy for key retrieval
   - simplify gnupg operations, depend on gpg package only, and use
     import/public key operations only.
   - fix unicode process output bugs, when operating in a non-UTF-8
     locale, thus enabling to import keys for my ppas in C locale.
   - avoid creating trustdb, or requiring any gpg-agent systemd socket to
     be activated
   - update tests to execute key addition fully with less things stubbed
     out with mock
   - stop using apt-key for installing keys
   - dirmngr is a heavy dependency and not used, and it is hard to pass
     proxy information to it when invoking gpg from a non-standard homedir
   - deprecate --keyserver option, making HTTPS access to
     keyserver.ubuntu.com required
   - LP: #1755192, LP: #1713962, LP: #1699086, LP: #1510220, LP: #1433761,
     LP: #1395321, LP: #1312267

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 02 Apr 2018 10:19:34 +0100

software-properties (0.96.24.24) bionic; urgency=medium

  * DialogAuth.py: Implement a dialog to choose between an ubuntu sso account or
    login into a new one. This interacts with gnome-online-accounts (LP: 1756364)
  * DialogLivepatchError: Implement a dialog to show livepatch related errors.
  * GoaAuth.py: Implement an utility function to store manage livepatch credentials.
  * SoftwareProperties.py: Implement functions used by the dbus API to
    enable/disable livepatch.
  * SoftwarePropertiesDbus.py: Add SetLivepatchEnabled to the dbus API.
  * SoftwarePropertiesGtk.py: Add a livepatch switch.
  * debian/control: Depends on gir1.2-goa-1.0, gir1.2-snapd-1 and gir1.2-secret-1.

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Wed, 14 Mar 2018 20:24:31 +0100

software-properties (0.96.24.23) bionic; urgency=medium

  * SoftwarePropertiesGtk.py: After installing proprietary drivers provide the
    capability to restart on Lubuntu and Xubuntu. Add recommends on the
    packages which provide the restart tools. (LP: #1693038)

 -- Brian Murray <brian@ubuntu.com>  Tue, 06 Mar 2018 08:06:33 -0800

software-properties (0.96.24.22) bionic; urgency=medium

  * software-properties-gtk: Depend on libgtk3-perl for debconf's GNOME
    backend. Drop previous Recommends on libgtk2-perl. (LP: #1679784)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 01 Mar 2018 21:34:59 -0500

software-properties (0.96.24.21) bionic; urgency=medium

  [ Julian Andres Klode ]
  * add-apt-repository: Do not use absolute path to apt-get

  [ Brian Murray ]
  * software-properties-gtk: add a dependency on gnome-session-bin which
    provides gnome-session-quit. (LP: #1693032)

 -- Brian Murray <brian@ubuntu.com>  Thu, 01 Mar 2018 11:21:37 -0800

software-properties (0.96.24.20) bionic; urgency=medium

  * add-apt-repository: Run apt-get update after adding sources.

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 16 Jan 2018 09:58:55 +0100

software-properties (0.96.24.19) bionic; urgency=medium

  * tests: Clear configuration before running init() again

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 20 Dec 2017 21:55:27 +0100

software-properties (0.96.24.18) bionic; urgency=medium

  * tests: Re-initialize apt_pkg in setUpClass() everywhere

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 20 Dec 2017 20:39:13 +0100

software-properties (0.96.24.17) artful; urgency=medium

  * tests/test_dbus.py: Don't call GTK from multiple processes. We started
    seeing software-properties tests failing with fatal X errors after GTK
    3.22.24 was uploaded. I think what happened was:
      - the testsuite imports GTK (via GI)
      - this import itself initialises GTK, retrieving the value of a load of
        X atoms
      - it forks to start software-properties-dbus in a separate process
      - this process then accesses another X atom after we ask it to do stuff
      - X doesn't like that and kills us
    The testsuite is now rewritten to not fork. We start a separate *thread*
    to run the D-Bus service in. A benefit of this is that we're more
    asynchronous than we were before, so some of the tests are slightly
    refactored to not run their own main loop but instead check that the
    signal emission they're interested in has happened. (LP: #1721828)

 -- Iain Lane <iain.lane@canonical.com>  Tue, 17 Oct 2017 14:05:25 +0100

software-properties (0.96.24.16) artful; urgency=medium

  * add-apt-repository: Don't raise a Traceback when Ctrl-c is used to cancel
    an operation. Thanks to Launchpad user Yeison Valero fo the initial patch.
    (LP: #1704508)

 -- Brian Murray <brian@ubuntu.com>  Wed, 06 Sep 2017 15:36:51 -0700

software-properties (0.96.24.15) artful; urgency=medium

  [Adam Collard]
  * debian/manpages/add-apt-repository.1: Documented --update option
    (LP: #1559482)

 -- Brian Murray <brian@ubuntu.com>  Wed, 16 Aug 2017 09:25:36 -0700

software-properties (0.96.24.14) artful; urgency=medium

  * softwareproperties/MirrorTest.py: fix some imports so that the script can
    be used independent of software-properties-gtk.

 -- Brian Murray <brian@ubuntu.com>  Fri, 11 Aug 2017 13:22:11 -0700

software-properties (0.96.24.13) zesty; urgency=medium

  * software-properties-gtk: also fix the backend code to set the gnome
    debconf frontend, without which libgtk2-perl goes unused.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Apr 2017 14:25:17 -0700

software-properties (0.96.24.12) zesty; urgency=medium

  * software-properties-gtk: recommend libgtk2-perl, to ensure we have a
    working debconf frontend when trying to install additional drivers.
    LP: #1679784.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Apr 2017 14:08:40 -0700

software-properties (0.96.24.11) zesty; urgency=medium

  [Scott Moser]
  * debian/tests/run-tests: use gpg rather than gpg1, and show errors
    (LP: #1670399)
  * debian/tests/control: add gnupg to list of dependencies.

  [Iain Lane]
  * softwareproperties/shortcuts.py: Make add_key() return True. Since r988,
    the return value of add_key() is now used to raise an exception.
    ShortcutHandler.add_key() always succeeds, so should return True. This
    (LP: #1670399)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 06 Mar 2017 12:22:03 -0500

software-properties (0.96.24.10) zesty; urgency=medium

  * Add knowledge of OpenStack releases Pike and Queens. (LP: #1670385)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 06 Mar 2017 10:08:22 -0500

software-properties (0.96.24.9) zesty; urgency=medium

  [ Scott Moser & Dimitri John Ledkov ]
  * When failing to retrieve a GPG key, raise an exception such that
    e.g. add-apt-repository can fail when it did not manage to retrieve a
    GPG key for the shortcut repository. LP: #1532855

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 01 Mar 2017 17:38:45 +0000

software-properties (0.96.24.8) zesty; urgency=medium

  * cloudarchive: Enable support for the Ocata Ubuntu Cloud Archive on
    16.04 (LP: #1645827).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 29 Nov 2016 13:29:35 -0500

software-properties (0.96.24.7) yakkety; urgency=medium

  [ Dimitri John Ledkov ]
  * Port AptAuth.py from gpg command parsing to apt-key command
    parsing. Simplifies invocations, and allows for proper handling of
    simplified apt-secure(8) implementation with key fragments in
    /etc/apt/trusted.gpg.d. Make the code gnupg1 and gnupg2
    compatible. Display long keyids in the UI (i.e. anti-evil32 keys
    feature). Revert dependency on gnupg1.

  * Fix incorrect owner_name used by launchpad PPA info api. Fix online
    testsuite in python3 and python2. Skip bad SSL test in python2, as
    pycurl no longer raises an exception. Drop python3-pycurl dependency,
    not used in python3 code path nor tests any more.

  [ Jeremy Bicha ]
  * Add gi.require_version("Gtk", "3.0") to silence the warning

  [ Matthias Klumpp ]
  * Drop po/urd.po; it's a duplicate of po/ur.po
  * Fix typo in Additional Drivers .desktop preventing the .desktop from
    being hidden in GNOME and KDE. Also have AppStream ignore it.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 21 Sep 2016 12:55:34 +0100

software-properties (0.96.24.6) yakkety; urgency=medium

  * softwareproperties/AptAuth.py: use gpg1 to manipulate
    etc/apt/trusted.gpg as that is public gpg1 keyring, not a keybox.
  * Add gnupg1 dependencies.
  * Initialise ~/.gnupg otherwise dirmngr/gnupg-agent fail in the
    autopkgtest.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 12 Sep 2016 12:49:15 +0100

software-properties (0.96.24.5) yakkety; urgency=medium

  * software-properties-common: add depends on dirmngr, such that
    add-apt-repository can fetch keys for PPAs.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 08 Sep 2016 10:54:03 +0100

software-properties (0.96.24.4) yakkety; urgency=medium

  * add-apt-repository: fix compatibility with keybox gnupg 2.1. LP:
    #1615039

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 01 Sep 2016 11:25:27 +0100

software-properties (0.96.24.3) yakkety; urgency=medium

  * data/gtkbuilder/main.ui: tweak the wording for the enable proposed
    option as suggested on lp: #1604705, extra changes are described on the bug
    but that's more work so that's a first step in the direction

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 17 Aug 2016 11:34:26 +0200

software-properties (0.96.24.2) yakkety; urgency=medium

  * Do not assume that a distribution adding the PPA of another distribution
    will want the latest series all the time. Instead check if the requested
    codename (that is the codename of the installed distribution) is a valid
    series in launchpad for the distribution the PPA belongs to. This
    essentially enables derivate distributions to carry a different name but
    use the same series name. As long as launchpad knows about the series we
    should be fine even if the constraints are a bit lax.

 -- Harald Sitter <sitter@kde.org>  Fri, 12 Aug 2016 13:52:41 +0200

software-properties (0.96.24.1) yakkety; urgency=medium

   * tests/test_shortcuts.py: make the tests python2 compatible.

 -- Brian Murray <brian@ubuntu.com>  Wed, 13 Jul 2016 12:26:53 -0700

software-properties (0.96.24) yakkety; urgency=medium

  * tests/test_shortcuts.py: make the tests python2 compatible.

 -- Brian Murray <brian@ubuntu.com>  Thu, 23 Jun 2016 10:33:47 -0700

software-properties (0.96.23) yakkety; urgency=medium

  * softwareproperties/ppa.py:
    - fix exception output when `add-apt-repository` is called with
      an invalid ppa (LP: #1594776)
  * tests/test_shortcuts.py:
    - add network check for tests that require talking to launchpad
      or the cloud archives

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 22 Jun 2016 15:42:14 +0200

software-properties (0.96.22) yakkety; urgency=medium

  * SoftwarePropertiesGtk.py: only add mirror choices if there are mirrors
    available from which to choose. (LP: #1101881)
  * DialogMirror.py: guard against a traceback when get cursor returns None.
    (LP: #1101881)

 -- Brian Murray <brian@ubuntu.com>  Mon, 20 Jun 2016 11:08:28 -0700

software-properties (0.96.21) yakkety; urgency=medium

  * cloudarchive: Enable support for the Newton Ubuntu Cloud Archive on
    16.04 (LP: #1591382).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Jun 2016 17:22:43 -0400

software-properties (0.96.20) xenial; urgency=medium

  * Add missing pyflakes3 test dependency (got split out recently).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 22 Mar 2016 08:45:29 +0100

software-properties (0.96.19) xenial; urgency=medium

  * data/gtkbuilder/main.ui:
    - let the new label wrap when needed
  * softwareproperties/SoftwareProperties.py:
    - security upload autoinstallation doesn't require autodownload to
      be on, but check that unattended-upgrade is installed instead

  [ Dustin Kirkland ]
  * debian/control: LP: #831487
    - make unattended-upgrades a 'recommends', rather than a depends,
      such that it can be easily removed, without removing a bunch of
      other useful stuff

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 16 Mar 2016 10:04:11 +0100

software-properties (0.96.18) xenial; urgency=medium

  * Create a new tab for developer options and move the proposed source to it.
    Since those updates can create issues they shouldn't be too easy to enable
    nor listed with the standard recommended sources.

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 01 Mar 2016 19:52:14 +0100

software-properties (0.96.17) xenial; urgency=medium

  * cloudarchive: Enable support for the Mitaka Ubuntu Cloud Archive on
    14.04 (LP: #1531225).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Jan 2016 13:08:28 -0500

software-properties (0.96.16) xenial; urgency=medium

  * Reload sources when starting the GTK backend; since changes made by the
    user might otherwise be mangled as the DBus backend keeps running after
    the GUI is terminated. Patch from Sam Segers. (LP: #879943)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 23 Nov 2015 16:17:45 -0500

software-properties (0.96.15) xenial; urgency=medium

  [ Barry Warsaw ]
  * In ppa.py, shortcut_handler(), if a ShortcutException occurs, print
    the traceback to stderr and return None to allow other shortcut
    handlers to run.  (LP: #1510558)

 -- Brian Murray <brian@ubuntu.com>  Tue, 27 Oct 2015 11:25:08 -0700

software-properties (0.96.14) xenial; urgency=medium

  * If a driver package depends on dkms and the correct linux meta package is
    already installed don't uninstall it. (LP: #1506169)

 -- Brian Murray <brian@ubuntu.com>  Mon, 26 Oct 2015 10:10:32 -0700

software-properties (0.96.13) wily; urgency=medium

  * Properly parse a ppa which has a leading slash, something which a lot of
    people seem use as an argument to add-apt-repository. (LP: #1426933)

 -- Brian Murray <brian@ubuntu.com>  Tue, 13 Oct 2015 11:31:14 -0700

software-properties (0.96.12) wily; urgency=medium

  * Ensure we handle properly unexisting user/team name instead of crashing
    (LP: #1372086)
  * Protect us against invalid ppa format input (LP: #1494965, #1405950)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 13 Oct 2015 11:52:17 +0100

software-properties (0.96.11) wily; urgency=medium

  * softwareproperties/gtk/DialogCacheOutdated.py :
    - use different variable name in exception, python3 deletes the target
      (lp: #1496293)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 28 Sep 2015 17:38:41 +0200

software-properties (0.96.10) wily; urgency=medium

  * cloudarchive: Enable support for the Liberty Ubuntu Cloud Archive on
    14.04 (LP: #1472586).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Sep 2015 12:35:10 -0400

software-properties (0.96.9) wily; urgency=medium

  * .assert_called() is not a valid mock method.  This silently passed in
    earlier versions of Python because mocks create attributes on the fly,
    however Python 3.5 throws AttributeErrors when the missing method
    starts with "assert" for exactly this reason.  Use assertTrue() on
    .called instead.
  * debian/control: Bump Standards-Version to 3.9.6.

 -- Barry Warsaw <barry@ubuntu.com>  Thu, 20 Aug 2015 16:46:12 -0400

software-properties (0.96.8) wily; urgency=medium

  * Fix syntax errors in the KDE frontend.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 16 Jun 2015 12:11:40 +0100

software-properties (0.96.7) wily; urgency=low

  [ Matthew Paul Thomas ]
  * lp:~mpt/software-properties/1377742-markup:
    - Factors out Pango markup from translatable strings, to avoid problems
      like LP: #1377742. Also switches to using <small> for alert secondary
      text, rather than <b><big> for primary text.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 12 Jun 2015 16:26:30 +0200

software-properties (0.96.6) wily; urgency=medium

  * SoftwareProperties.py: self.options can be None, don't crash if this is
    the case.

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 05 Jun 2015 14:05:10 +0100

software-properties (0.96.5) wily; urgency=low

  [ Jay R. Wren ]
  * lp:~evarlast/software-properties/support-update:
    - add -u, --update option to apt-add-repository

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 02 Jun 2015 09:40:03 +0200

software-properties (0.96.4) vivid; urgency=medium

  * data/gtkbuilder/dialog-add.ui: set label width, that's needed with
    the new gtk

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 30 Jan 2015 10:49:37 +0100

software-properties (0.96.3) vivid; urgency=medium

  * Add missing dbus-x11 test dependency.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 28 Jan 2015 11:25:02 +0100

software-properties (0.96.2) vivid; urgency=medium

  * cloudarchive: Enable support for the Kilo Ubuntu Cloud Archive on
    14.04 (LP: #1412465).

 -- James Page <james.page@ubuntu.com>  Mon, 19 Jan 2015 15:05:10 +0000

software-properties (0.96.1) vivid; urgency=low

  * fix autopkgtest failure

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 01 Dec 2014 08:04:47 +0100

software-properties (0.96) vivid; urgency=medium

  * Port kde ui to Qt 5

 -- Harald Sitter <apachelogger@kubuntu.org>  Sat, 22 Nov 2014 22:31:27 +0100

software-properties (0.95) vivid; urgency=medium

  [ Sebastien Bacher ]
  * list some extra known keys for translation, thanks feng-kylin
    (lp: #1306494)

  [ Lars Uebernickel ]
  * lp:~larsu/software-properties/fix-wide-dialog:
    - dialog-cache-outofdate: make sure the label is wrapped at ~70
      chars

  [  Bruno Nova ]
  * lp:~brunonova/software-properties/lp1383289:
    - fix dragging a key into the list of keys in the "Authentication"
      tab (LP: 1383289)
  * lp:~brunonova/software-properties/lp1381050:
    - fix import of keys with special chars (LP: #1381050)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 21 Nov 2014 17:51:26 +0100

software-properties (0.94) utopic; urgency=medium

  * If adding a PPA from a foreign distribution, use that distribution's
    current series as the codename.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 20 Sep 2014 01:14:22 +0100

software-properties (0.93.2) utopic; urgency=medium

  * Add pyflakes to autopkgtest dependencies.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Sep 2014 21:03:42 +0100

software-properties (0.93.1) utopic; urgency=low

  * fix autopkgtest

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 11 Sep 2014 16:02:21 +0200

software-properties (0.93) utopic; urgency=low

  [ Michael Vogt ]
  * add more tests
  * pyflakes cleanup
  * make PPA suggestions work again by using the LP api
    directly instead of using python-launchpadlib (which is
    not available for py3)

  [ Mathieu Trudel-Lapierre ]
  * support distros like "ubuntu-rtm" in add-apt-repository

  [ James Page ]
  * cloudarchive: Teach cloud-archive: prefix which Ubuntu Cloud Archive's
    map to which Ubuntu releases, adding support for Juno on 14.04
    (LP: #1350291).
  * cloudarchive: Tidy messages to have correct capitalization.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 11 Sep 2014 11:44:23 +0200

software-properties (0.92.37.1) trusty-proposed; urgency=low

  * software-properties-dbus:
    - do not crash if locale.setlocale() fails (LP: #1314660)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 30 Apr 2014 16:42:55 +0200

software-properties (0.92.37) trusty-proposed; urgency=low

  * software-properties-dbus: force C.utf-8 locale if C is used
    to ensure utf-8 support when reading sources.list LP: #1069019

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 17 Apr 2014 20:44:08 +0200

software-properties (0.92.36) trusty; urgency=medium

  * software-properties-kde : Work around crash in sip by skipping the
    + destructors of SIP objects. (LP: #1307170)

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 14 Apr 2014 11:36:13 +0200

software-properties (0.92.35) trusty; urgency=low

  * Add "Additional Drivers" desktop file for the non {GNOME,Unity,KDE}
    flavors (LP: #1060543) - thanks to Unity193

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 04 Apr 2014 08:30:41 +0200

software-properties (0.92.34) trusty; urgency=medium

  * gnupg version 1.4.16 was changed not to require a trustdb with
    --trust-model set to always

 -- Brian Murray <brian@ubuntu.com>  Fri, 28 Feb 2014 13:29:58 -0800

software-properties (0.92.33) trusty; urgency=medium

  * The new gtk doesn't wrap label by itself, do that for the drivers text

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 10 Feb 2014 16:10:24 +0100

software-properties (0.92.32) trusty; urgency=low

  * data/software-properties-gtk.desktop.in:
    - Show in both GNOME control center and Unity control center (LP: #1257505)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 15 Jan 2014 16:44:57 +1300

software-properties (0.92.31) trusty; urgency=medium

  * Stop using deprecated GObject constructors with positional arguments.
    (https://wiki.gnome.org/PyGObject/InitializerDeprecations)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 10 Jan 2014 12:23:07 +0100

software-properties (0.92.30) trusty; urgency=low

  [ Brian Murray ]
  * Remove unneeded setting of modified_sourceslist.  Thanks to Bruno Nova
    for the patch.

  [ Sebastien Bacher ]
  * do not crash for packages without a candidate

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 07 Jan 2014 19:38:47 +0100

software-properties (0.92.29) trusty; urgency=low

  * debian/control:
    - depends on python-apt-common (>= 0.9), which is the version containing
      the trusty definition, without it you can't use add-apt-repository
      without error (lp: #1257765)
    - depends on python-pycurl, ppa.py uses it (lp: #1249080)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 04 Dec 2013 16:36:32 +0100

software-properties (0.92.28) saucy; urgency=low

  [ Bruno Nova ]
  * Ensure package sources are refreshed after modification
    Fixes Bug LP: #1075537 (and, indirectly, Bug LP: #782953 it seems).

  [ Brian Murray ]
  * Restore the removal of a line feed from a source (LP: #1239893)

  [ Jean-Baptiste Lallement ]

  * debian/manpages/add-apt-repository.1: Documented options -m and -s of
    add-apt-repository (LP: #1229092)

  [ Sebastien Bacher ]
  * softwareproperties/gtk/SoftwarePropertiesGtk.py: don't use the
    gtk-logout-helper command, it has been deprecated and dropped from the
    indicator-session binary, use gnome-session instead (lp: #1241210)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 21 Oct 2013 11:16:21 -0400

software-properties (0.92.27) saucy; urgency=low

  * support adding cloud-archive repositories using syntax like
    cloud-archive:havana (LP: #1233486)

 -- Scott Moser <smoser@ubuntu.com>  Sun, 06 Oct 2013 13:30:54 -0400

software-properties (0.92.26) saucy; urgency=low

  * SECURITY UPDATE: possible privilege escalation via policykit UID lookup
    race.
    - softwareproperties/dbus/SoftwarePropertiesDBus.py: pass
      system-bus-name as a subject instead of pid so policykit can get the
      information from the system bus.
    - CVE-2013-1061

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 18 Sep 2013 13:17:35 -0400

software-properties (0.92.25) saucy; urgency=low

  * Use python-distutils-extra in auto mode
  * Drop unused and obsolete help/

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 19 Jul 2013 21:40:58 -0400

software-properties (0.92.24) saucy; urgency=low

  * tests/test_dbus.py: Be slightly more tolerant in test_updates_interval,
    in order to work regardless of which tests were previously run.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 26 Jun 2013 12:30:27 +0100

software-properties (0.92.23) saucy; urgency=low

  * tests/test_dbus.py: Clean up leakage between tests, and some tests that
    relied on leakage.
  * tests/test_lp.py: Skip online tests unless TEST_ONLINE environment
    variable is set.
  * debian/tests/run-tests: Force the tests to run in a UTF-8 locale, at
    least for now; tests/test_dbus.py gets unhappy otherwise.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Jun 2013 22:42:20 +0100

software-properties (0.92.22) saucy; urgency=low

  [ Colin Watson ]
  * debian/tests/run-tests: Show Xvfb log output if xvfb-run exits non-zero
    (which might mean Xvfb failed to start, or might mean tests failed).
  * debian/tests/run-tests: Work around LP #972324 by unsetting TMPDIR for
    xvfb-run and setting it again for the inferior command.
  * debian/tests/control: Depend on python-gi and python3-gi for test_dbus.

  [ Jeremy Bicha ]
  * Add a scalable icon which looks better in GNOME Shell.

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 25 Jun 2013 15:38:29 -0400

software-properties (0.92.21) saucy; urgency=low

  * Copy software-properties icon from Humanity (and Elementary)
    to replace the dated and unclear icon used if your icon theme doesn't
    include a replacement icon

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 24 Jun 2013 14:15:40 +0200

software-properties (0.92.20) saucy; urgency=low

  [ Matthew Paul Thomas ]
  * Fix spelling of "occurred".

  [ Sami Jaktholm ]
  * softwareproperties/ppa.py
    - Use PycURL only with python2, not if urllib raises an unexpected
      exception in python3. (LP: #1111291)
    - Catch http.client.HTTPExceptions from urlopen and raise a PPAException
      to show a formatted error message instead of traceback.

  [ Robert Roth ]
  * softwareproperties/SoftwarePropterties.py: Remove white space from
    comments for sources (LP: #1185144)
  * Use two-line items in other sources (LP: #930827)
  * Deprecate --enable-component option, superseded by add-apt-repository.
    (LP: #1170114)

  [ Martin Pitt ]
  * Replace obsolete "scrollkeeper" build dependency with rarian-compat.
  * debian/control: Bump Standards-Version to 3.9.4.
  * debian/tests/run-tests: Make failures in python 2 tests fatal.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 24 Jun 2013 12:52:34 +0200

software-properties (0.92.19) saucy; urgency=low

  [ Scott Kostyshak ]
  * Improve error message when more than one repository argument is given.
    (LP: #1178015)

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 28 May 2013 15:50:02 -0400

software-properties (0.92.18) saucy; urgency=low

  [ Dmitry Shachnev ]
  * Make Restart button restart the system, not shutdown it (LP: #1047424).

  [Johan Kiviniemi]
  * Add PPA keys to /etc/apt/trusted.gpg.d/{owner}-{ppa}.gpg
    (LP: #1182932)

  [ Sami Jaktholm ]
  * software-properties-gtk: Open APT cache and detect drivers in a
    background thread asynchronously when user opens the Additional
    Drivers tab. This speeds up the startup considerably.
    Fixes LP: #1073728.

  [ Michael Vogt ]
  * remove pre-build hook, autopkgtest will take care of running
    the tests

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 27 May 2013 08:45:08 +0200

software-properties (0.92.17) raring; urgency=low

  * data/software-properties-gnome.desktop.in:
    - Use new "Software & Updates" name on GNOME too

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 17 Mar 2013 01:59:58 -0400

software-properties (0.92.16) raring; urgency=low

  * Sync up DEP-8 test metadata with the fact that tests are now run via
    setup.py, not make (LP: #1153989).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 Mar 2013 11:08:05 +0000

software-properties (0.92.15) raring; urgency=low

  [ Manish Sinha (मनीष सिन्हा) ]
  * lp:~manishsinha/software-properties/fix-874766-updates-tab-failed-auth:
    - Fixes LP: #874766 where after a failed authentication on Updates tab
      didn't revert the older values in ComboBox

  [ Brian Murray ]
  * To add-apt-repository add a patch from Winfield Trail for when the case a
    PPA does not have a signing key yet (LP: #968756)

  [ Shih-Yuan Lee (FourDollars) ]
  * Fix a typo in CountryInformation.py. (LP: #1138121)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 12 Mar 2013 09:35:08 +0100

software-properties (0.92.14.1) raring; urgency=low

  * Build-depend on python-setuptools.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Feb 2013 20:01:57 +0100

software-properties (0.92.14) raring; urgency=low

  [ Stephen Kraemer ]
  * softwareproperties/gtk/SimpleGtkBuilderApp.py: Use GtkApplication to make this application a singleton.
    (LP: #1058070)

  [ Andrea Corbellini ]
  * Have add-apt-repository disable new deb-src entries by default (use -s
    to override this behavior).  LP: #621977

  [ Michael Vogt ]
  * test cleanups, i.e. python{,3} setup.py test works now instead of
    using a custom makefile

  [ Alberto Milone ]
  * Detect the current kernel and install the linux metapackage
    for it when we install a driver which depends on dkms. This uses a
    function provided by ubuntu-drivers-common.
  * Depend on ubuntu-drivers-common >= 1:0.2.75.

  [ Robert Roth  ]
  * Do not encode the example source URL to avoid adding the 'b' prefix
    (lp: #1081279)
  * Do not use Shell=True unnecessarily in subprocess.Popen (lp: #1060192)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 14 Feb 2013 18:27:30 +0100

software-properties (0.92.13) raring; urgency=low

  * data/gtkbuilder/main.ui: Fixed alignment of combo boxes in Updates tab
    (LP: #1058059)

 -- Michael Spencer <spencers1993@gmail.com>  Tue, 06 Nov 2012 09:45:12 -0600

software-properties (0.92.12) raring; urgency=low

  * Add software-properties-gnome.desktop.in to keep Software Sources
    from showing in System Settings on GNOME

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 07 Nov 2012 22:13:18 -0500

software-properties (0.92.11) raring; urgency=low

  * Force the python3 shebang to /usr/bin/python3.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 01 Nov 2012 10:05:11 +0000

software-properties (0.92.10) raring; urgency=low

  * Remove unused import from tests/test_lp.py.
  * Add python-mock and python3-mock as dependencies of the DEP-8 test
    suite.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 29 Oct 2012 13:51:14 +0000

software-properties (0.92.9) quantal; urgency=low

  * Call GnuPG with an appropriate --homedir argument (LP: #1060335)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 02 Oct 2012 11:57:31 -0600

software-properties (0.92.8) quantal; urgency=low

  * lp:~mvo/software-properties/recv-key-lp1016643:
    - ensure fingerprint check after recv-key (LP: #1016643)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 01 Oct 2012 19:33:35 +0200

software-properties (0.92.7) quantal; urgency=low

  [ Oliver Grawert ]
  * make sure a capitalized line for "Prompt=" lands in
    /etc/update-manager/release-upgrades to prevent ucf questions
    (LP: #1045579)

  [ Michael Vogt ]
  * softwareproperties/ppa.py: remove no longer applying comment (thanks to
    Zooko)

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 01 Oct 2012 11:20:32 +0200

software-properties (0.92.6) quantal; urgency=low

  * Make DEP-8 tests depend on python-dbus, python-pycurl, and
    python3-pycurl.
  * Make software-properties-common depend on ca-certificates, for
    softwareproperties.ppa.get_ppa_info_from_lp (LP: #1052267).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 18 Sep 2012 14:14:00 +0100

software-properties (0.92.5) quantal; urgency=low

  [ Colin Watson ]
  * add-apt-repository:
    - Force output encoding to UTF-8 even in non-UTF-8 locales
      (LP: #1041431).

  [ sampo555 ]
  * Construct the path of a PPA source file properly (LP: #972617, #994515,
    #1018327, #1037916).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 17 Sep 2012 14:41:12 +0100

software-properties (0.92.4) quantal; urgency=low

  * softwareproperties/gtk/SoftwarePropertiesGtk.py: also cover the cases where
    vendor or model can't be identified; replace those unavailable strings with
    "Unknown". (LP: #1028388)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 11 Sep 2012 08:26:25 -0400

software-properties (0.92.3) quantal; urgency=low

  * lp:~mvo/software-properties/dep8:
    - add dep8 control

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 10 Sep 2012 09:51:29 +0200

software-properties (0.92.2) quantal; urgency=low

  [ Colin Watson ]
  * debian/rules:
    - Ensure that scripts end up with #! /usr/bin/python3, not #!
      /usr/bin/python3.X.

  [ Robert Roth ]
  * Import pycurl before using it (LP: #1044674).
  * Remove QString as py3 uses native python string (LP: #1036588).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 08 Sep 2012 13:33:42 +0100

software-properties (0.92.1) quantal; urgency=low

  * softwareproperties/gtk/SoftwarePropertiesGtk.py:
    - add missing import to unblock startup (LP: #1042180)

 -- Kiwinote <kiwinote@gmail.com>  Tue, 28 Aug 2012 15:22:59 +0200

software-properties (0.92) quantal; urgency=low

  [ Robert Roth ]
  * lp:~evfool/software-properties/lp1030970 :
    - Fixed the source code checkbox and the submit statistics
      checkbox labels to be left-aligned instead of centered.
  * lp:~evfool/software-properties/lp997371:
    - support enabling a component via "apt-add-repository componentname"
      (e.g. "apt-add-repository multiverse") LP: #997371

  [ Mathieu Trudel-Lapierre ]
  * Reinstate pycurl to use for getting PPA information from Launchpad, since
    it can actually verify SSL certificates with python2. Also set
    LAUNCHPAD_PPA_CERT so that it's a valid path to the system CA certificates
    bundle to use for urllib and pycurl. (LP: #1036839)
    - CVE-2012-0955

  [ Gabor Kelemen ]
  * lp:~kelemeng/software-properties/bug1035544:
    - fix a bunch of missing i18n strings (LP: #1035544)

  [ Michael Vogt ]
  * lp:~mvo/software-properties/remove-popcon:
    - remove the "statistics" page as this is no longer used
      (LP: #1025436)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 27 Aug 2012 09:56:47 +0200

software-properties (0.91) quantal; urgency=low

  * debian/control:
    - add dep on python3-gi
  * data/software-properties-gtk.desktop.in:
    - remove OnlyShowIn:
      for xubuntu and other flavors which used jockey, so that they still
      have a driver installation tool

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 19 Jul 2012 10:12:51 +0200

software-properties (0.90) quantal; urgency=low

  * data/software-properties-gtk.desktop.in:
    - show software-properties in gnome-control-center
  * debian/control:
    - bump Standards-Version to latest

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 18 Jul 2012 13:57:45 +0200

software-properties (0.89) quantal; urgency=low

  * Add the jockey replacement tab for software-properties-gtk:
    - finish the work started by cyphermox (LP: #1021733)
    - add dep on latest ubuntu-drivers-common for the backend
  * Wrap all dbus calls under a try/except catch for unauthorized calls.
    (original work by Edward Donovan) (LP: #828850)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 18 Jul 2012 11:28:09 +0200

software-properties (0.88) quantal; urgency=low

  * debian/control: Add missing python3-software-properties dependency to
    software-properties-common, so that add-apt-repository can actually work.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 13 Jul 2012 10:46:27 +0200

software-properties (0.87) quantal; urgency=low

  * Restore apt-add-repository symlink.
  * Handle removal of cmp builtin from Python 3 (LP: #1022665).
  * Open NamedTemporaryFile in text mode when writing text to it
    (LP: #1021639).
  * Fix display glitch in add-apt-repository that caused "None" to be
    printed for any PPA without a description.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 Jul 2012 09:56:14 +0100

software-properties (0.86) quantal; urgency=low

  [ Colin Watson ]
  * Open /dev/urandom in binary mode.
  * Start producing python-software-properties again, until such time as it
    has no reverse-dependencies.

  [ Mathieu Trudel-Lapierre ]
  * Fix things so that reverse-depends can still work with Python 2.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 05 Jul 2012 11:50:44 -0400

software-properties (0.85) quantal; urgency=low

  * Ship add-apt-repository and its manual page only in
    software-properties-common, rather than having bits of it in
    python3-software-properties as well (LP: #1021122).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 05 Jul 2012 12:46:35 +0100

software-properties (0.84) quantal-proposed; urgency=low

  [ Colin Watson ]
  * Port to Python 3:
    - Use Python 3-style print functions.
    - Use "except Exception as e" syntax rather than the old-style "except
      Exception, e".
    - Remove use of the string module, at least for Python 3;
      string.maketrans is still needed in Python 2.
    - Use list comprehensions rather than map.
    - Import configparser rather than ConfigParser if available.
    - Use Python 3 renamings of urllib, urllib2, and urlparse if available.
    - Use new-style octal literals.
    - Open subprocesses with universal_newlines=True when expecting to read
      text from them.  On Python 2, this only enables \r\n conversion and
      the like, but on Python 3 this also causes subprocess-related file
      objects to read str rather than bytes.
    - Use dict.items() rather than bothering with Python 2/3 compatibility
      for dict.iteritems().
    - Avoid use of obsolete unittest methods.
    - Use "key in dict" rather than "dict.has_key(key)".
    - Tell Python to use absolute imports by default, and annotate cases
      where we need relative imports.
    - Use Python 3 renaming of Queue if available.
    - Handle a few cases of the range builtin and dict methods being changed
      to return iterators in Python 3.
    - Remove unused dependency on python-gnupginterface.
  * Fix a number of pyflakes warnings.

  [ Mathieu Trudel-Lapierre ]
  * More Python 3 porting work:
    - Port software-properties-kde and software-properties-dbus.
    - Fix tests.
  * debian/control, debian/compat: switch to debhelper (>= 9)
  * debian/control,
    debian/python*-software-properties.*:
    - Replace python-software-properties with python3-software-properties.
    - Have software-properties-common Breaks/Replaces
      python-software-properties now that it will ship add-apt-repository and
      locale data.
  * debian/control: add software-properties-common to software-properties-kde
    Depends; since it's now the package that ships locale data.
  * debian/software-properties-common.install: ship the add-apt-repository
    binary and locale data as part of software-properties-common now instead of
    the python package.
  * debian/rules:
    - Start using --with python3 instead of python2.
  * debian/software-properties-*.install: only install the python3 versions of
    the GUI application library files.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 04 Jul 2012 10:38:04 -0400

software-properties (0.83) quantal; urgency=low

  [ Robert Roth ]
  * lp:~evfool/software-properties/lp599803:
    - Added support for case-insensitive typeahead searching activated
      with Ctrl+F (by default) in the Other Software tab (custom sources).
      LP: #599803
  * lp:~evfool/software-properties/lp709079:
    - Refactored SimpleGtkBuilder __init__ method to use the setup_ui
      method containing exactly the same code (removes some duplicated code)
      and replaced print to stderr with debug logging message,
      fixing bug LP: #709079.

  [ Michael Vogt ]
  * lp:~mvo/software-properties/fix-policykit-prompt-on-startup:
    - This fixes a policykit prompt on startup if the default
      policy is set to something other than "daily" for Check for
      updates LP: #1012035

  [ Gabor Kelemen ]
  * lp:~kelemeng/software-properties/bug945245:
    - I18n fixes for bug LP: #945245.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 12 Jun 2012 11:57:18 +0200

software-properties (0.82.7.1) precise-proposed; urgency=low

  * manually shift the policy index to work around wrong upgrade policy being
    set. (LP: #944876)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 25 Apr 2012 21:11:57 +0200

software-properties (0.82.7) precise; urgency=low

  * software-properties-dbus: Use GLib instead of the deprecated gobject.
    Update debian/control accordingly.
  * debian/control: Fix -gtk dependency: python-gobject → python-gi.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 13 Mar 2012 19:12:54 +0100

software-properties (0.82.6) precise; urgency=low

  [ Gabor Kelemen ]
  * data/gtkbuilder/main.ui:
    - fix missing "translatable" property (LP: #953918)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Mar 2012 15:01:30 +0100

software-properties (0.82.5) precise; urgency=low

  * softwareproperties/gtk/SoftwarePropertiesGtk.py: Drop duplicate definition
    of on_treeview_sources_cursor_changed().
  * softwareproperties/gtk/SoftwarePropertiesGtk.py: Fix crash when closing
    the application with the window title bar button. (LP: #911834)
  * add-apt-repository: Intercept ValueError in addition to URLError, as this
    is the error thrown when trying to decode invalid JSON (which happens on
    404 pages etc.). (LP: #861258)
  * softwareproperties/SoftwareProperties.py, _find_source_from_string():
    Reload the sources list before searching, as it might have changed while
    the D-BUS backend was running. (LP: #854818, #820150)
  * softwareproperties/gtk/SoftwarePropertiesGtk.py: Add missing argument to
    menu popup() call. (LP: #815236)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 07 Mar 2012 10:14:52 +0100

software-properties (0.82.4) precise; urgency=low

  * Move KeysModified signal so add-apt-repository doesn't crash.
    (LP: #926152)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 03 Feb 2012 15:54:57 -0500

software-properties (0.82.3) precise; urgency=low

  [ Brian Murray ]
  * when adding new repositories use sourceslist.add instead of append thereby
    preventing duplicate entires.  Thanks to Nick Russo for the patch.
    LP: #854841

  [ Robert Roth ]
  * Updated expand properties to properly expand the bottom component to avoid
    putting empty space between components. LP: #912557
  * Added symbolic link for add-apt-repository manpage under the
    apt-add-repository name, LP: #620098
  * Changed Revert button mnemonic to avoid collision with Remove, LP: #652523
  * Handle URLError from ppa pages, instruct the user to check the internet
    connection (LP: #502698)

  [ Marc Deslauriers ]
  * SECURITY UPDATE: incorrect ssl certificate validation (LP: #915210)
    - softwareproperties/ppa.py: use pycurl to download the signing key
      fingerprint.
    - tests/test_lp.py: add test.
    - debian/control: add python-pycurl dependency.
    - CVE-2011-4407
  * Wait for PPA GPG key to get imported before ending thread (LP: #888417)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 03 Feb 2012 08:16:22 -0500

software-properties (0.82.2) precise; urgency=low

  [ Michael Vogt ]
  * merged from debian-sid, thanks to Julian Andres Klode
  * add-apt-repository:
    - fail if the user tries to add a private PPA

  [ Sebastien Bacher ]
  * Stop listing software-properties in gnome-control-center since
    it's available from software-center and update-manager
    (desktop-p-control-center-cleanup spec)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Jan 2012 17:19:42 +0100

software-properties (0.82.1debian1) unstable; urgency=low

  * Merge with Ubuntu, remaining differences:
    - debian/control: Maintainer, VCS differences
    - debian/rules: Do not use dh-translations
    - softwareproperties/gtk/CdromProgress.py: Use apt.progress.base as needed
  * Fix more uses of the removed python-apt API

 -- Julian Andres Klode <jak@debian.org>  Mon, 21 Nov 2011 16:04:53 +0100

software-properties (0.82) precise; urgency=low

  [ Manish Sinha (मनीष सिन्हा) ]
  * lp:~manishsinha/software-properties/fix-887249-handle-404-error:
    - improve error handling for incorrect/misspelled PPAs (LP: #887249)
  * lp:~manishsinha/software-properties/list-ppa-names-for-user-or-team:
    - Made the change to alert the user that a user/team does not have any PPAs

  [ Robert Roth ]
  * lp:~evfool/software-properties/lintianfixes:
    - Fixed capitalization issue in control file
  * Fix warnings logged to terminal about inexistent handlers by checking
    if the handlers exist
  * Change geeky authentication text displayed on policykit auth dialog to
    the one suggested by mpt (LP: #828285)
  * Reset the popcon checkbox value if changed, but auth failed (LP: #874759)
  * Apt-add-repository --remove changed to also remove the debsrc
    line (LP: #838507)
  * Apt-add-repository PPA warning changed to warn you about add/removal
    depending on what you really want to do.
  * Update the manpage of apt-add-repository with the available
    options. (LP: #697546)
  * Reset the text on the mirror testing dialog after closing/canceling
    it (LP: #875679)
  * Unicode encode PPA description and displaynam to avoid
    UnicodeDecodeErrors (LP: #827355)
  * Do not expand the server combobox (LP: #875131)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 21 Nov 2011 16:32:49 +0100

software-properties (0.81.13.2) oneiric-proposed; urgency=low

  * add-apt-repository:
    - honor FORCE_ADD_APT_REPOSITORY (LP: #890708)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 30 Nov 2011 09:46:12 +0100

software-properties (0.81.13.1) oneiric-proposed; urgency=low

  * lp:~yofel/software-properties/lp-819793:
    - Fix for bug 819793 as disable_child_source() now need the template
      name as parameter, not the template itself )LP: #819793

  [ Philip Muskovac ]
  * lp:~yofel/software-properties/lp-819793:
    - Fix for bug 819793 as disable_child_source() now need the template
      name as parameter, not the template itself )LP: #819793

  [ Robert Roth ]
  * Fix warnings logged to terminal about inexistent handlers by checking
    if the handlers exist
  * Reset the popcon checkbox value if changed, but auth failed (LP: #874759)
  * Apt-add-repository --remove changed to also remove the debsrc
    line (LP: #838507)
  * Update the manpage of apt-add-repository with the available
    options. (LP: #697546)
  * Reset the text on the mirror testing dialog after closing/canceling
    it (LP: #875679)
  * Unicode encode PPA description and displaynam to avoid
    UnicodeDecodeErrors (LP: #827355)
  * Do not expand the server combobox (LP: #875131)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 20 Oct 2011 13:46:08 +0200

software-properties (0.81.13) oneiric-proposed; urgency=low

  * lp:~kelemeng/software-properties/bug853231:
    - Build with dh_translations, to localize the .policy file at
      runtime. LP: #853231
    - Add missing files to POTFILES.in (LP: #853231)
      Many thanks to Gabor Kelemen

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 12 Oct 2011 10:22:19 +0200

software-properties (0.81.12) oneiric-proposed; urgency=low

  * lp:~kelemeng/software-properties/bug853231-upstream:
    - Add missing files to POTFILES.in (LP: #853231)
    Many thanks to Gabor Kelemen

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 12 Oct 2011 10:02:23 +0200

software-properties (0.81.10) oneiric; urgency=low

  * softwareproperties/dbus/SoftwarePropertiesDBus.py, tests/test_dbus.py:
    - fix crash when there are unicode comments in the sources.list
      file (LP: #820028). Dbus always sends us a dbus.String which is
      type unicode, but python-apt expects utf8 encoded str

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 10 Oct 2011 10:55:45 +0200

software-properties (0.81.9) oneiric; urgency=low

  * lp:~gandelman-a/software-properties/lp829109 :
    - add "-y" to add-apt-repository (LP: #829109). This can be
      used to avoid the confirmation prompt. Alternatively you
      can redirect stdin to /dev/null for skipping of the confirmation

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 19 Aug 2011 09:11:58 +0200

software-properties (0.81.8) oneiric; urgency=low

  * Move from static gobject to GI GObject module, to be compatible to
    upcoming pygobject 3.0.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 17 Aug 2011 07:19:02 +0200

software-properties (0.81.7) oneiric; urgency=low

  * softwareproperties/ppa.py:
    - fix incorrect call call to apt-key for the fingerprint, thanks
      to Martin Pitt for the report

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 17 Aug 2011 07:13:46 +0200

software-properties (0.81.6) oneiric; urgency=low

  [ Michael Vogt ]
  * softwareproperties/ppa.py:
    - show PPA description and confirm before adding
      (security-o-catch-all spec)

  [ Martin Pitt ]
  * softwareproperties/gtk/SoftwarePropertiesGtk.py: Fix encoding error,
    thanks to sokolov-m-v for the patch! (LP: #815480)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 15 Aug 2011 10:25:51 +0200

software-properties (0.81.5) oneiric; urgency=low

  * softwareproperties/gtk/DialogMirror.py:
    - sort automatic mirror on top of the mirror list
  * debian/control:
    - remove old conflicts/replaces

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 11 Aug 2011 15:55:52 +0200

software-properties (0.81.4) oneiric; urgency=low

  * softwareproperties/AptAuth.py:
    - move trustdb into tmpdir as gnupg insists in creating it
  * softwareproperties/gtk/SoftwarePropertiesGtk.py:
    - use policykit for changing the update interval (LP: #816061)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 26 Jul 2011 09:13:23 +0200

software-properties (0.81.3) oneiric; urgency=low

  * softwareproperties/gtk/SimpleGtkbuilderApp.py:
    - remove unneeded debug output for gobjects without a get_name()
      function
  * softwareproperties/gtk/SoftwarePropertiesGtk.py:
    - do not crash if update-notifier is not installed (LP: #815016)
  * softwareproperties/AptAuth.py:
    - do not access ~/.gnupg from AptAuth() (LP: #815034)
  * softwareproperties/SoftwareProperties.py:
    - add CDROM add support into the dbus backend (LP: #815860)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 25 Jul 2011 18:15:30 +0200

software-properties (0.81.2) oneiric; urgency=low

  * fix crash when clicking on "updates" tab child sources,
    thanks to Sebastien Bacher

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 22 Jul 2011 22:15:05 +0200

software-properties (0.81.1) oneiric; urgency=low

  * data/software-properties-gtk.desktop.in:
    - don't use gksu
  * debian/control:
    - remove the gksu dependency and add software-properties-common
      instead
  * debian/software-properties-common.install:
    - fix missing dbus include (thanks to seb128)
  * data/com.ubuntu.SoftwareProperties.service:
    - fix service path (thanks to seb128)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 22 Jul 2011 21:39:04 +0200

software-properties (0.81) oneiric; urgency=low

  [ Mohamed Amine IL Idrissi ]
  * Redesigned the Updates tab according to
    https://wiki.ubuntu.com/SoftwareUpdateHandling#settings (LP:
    #351484, #357676, #253412)

  [ Michael Vogt ]
  * add dbus/polkit backend, based on
    lp:~kubuntu-packagers/software-properties/dbusworker
  * use new dbus backend
  * automatically run tests at bzr-buildpackage time

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 22 Jul 2011 19:11:26 +0200

software-properties (0.80.14) oneiric; urgency=low

  * data/gtkbuilder/dialog-mirror.ui: string fix regarding testing

 -- Brian Murray <brian@ubuntu.com>  Wed, 20 Jul 2011 15:01:23 -0700

software-properties (0.80.13) oneiric; urgency=low

  * merge control center fix from Rodrigo Moya, many thanks!
    (lp:~rodrigo-moya/software-properties/fix-787694) LP: #787694

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 11 Jul 2011 11:34:51 +0200

software-properties (0.80.12) oneiric; urgency=low

  * softwareproperties/gtk/DialogCacheOutdated.py: Stop calling synaptics, use
    aptdaemon instead.
  * debian/control: Drop synaptics dependency, add
    python-aptdaemon.gtk3widgets.
  * data/gtkbuilder/*.ui: Drop deprecated has_separator properites.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 22 Jun 2011 17:03:11 +0200

software-properties (0.80.11) oneiric; urgency=low

  [ Martin Pitt ]
  * debian/rules: Drop deprecated simple-patchsys. This is a native package
    anyway, we don't need a patch system.

  [ Michael Vogt ]
  * move from python-central to dh_python2
  * move from cdbs to dh7

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 10 Jun 2011 11:29:51 +0200

software-properties (0.80.10) oneiric; urgency=low

  [ Michael Vogt ]
  * merged lp:~hodgestar/software-properties/configurable-key-server,
    many thanks

  [ Martin Pitt ]
  * software-properties-gtk: Stop forcing GTK 2, we want to use GTK 3 now.
    Update gir dependency accordingly.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 18 May 2011 09:59:32 +0200

software-properties (0.80.9) natty; urgency=low

  * In "Updates" tab (qt and gtk), ignore all deb-src templates.
    (LP: #768363, LP: #768469)

 -- Stéphane Graber <stgraber@ubuntu.com>  Sun, 24 Apr 2011 13:37:52 -0400

software-properties (0.80.8) natty; urgency=low

  * data/designer/main.ui make strings match GTK UI file LP: #760825

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 14 Apr 2011 16:56:22 +0100

software-properties (0.80.7) natty; urgency=low

  * softwareproperties/gtk/SoftwarePropertiesGtk.py: Fix wrong Gtk.MenuItem
    construction. (LP: #753570)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 08 Apr 2011 18:23:21 +0200

software-properties (0.80.6debian1) experimental; urgency=low

  * Rebase Debian package against Ubuntu one.
  * python-apt 0.8 conform (Closes: #572350)
  * softwareproperties/gtk/CdromProgress.py:
    - Fix python-apt 0.8 progress->progress.base incompatibility
  * Move to debhelper 7 and dh_python2

 -- Julian Andres Klode <jak@debian.org>  Wed, 06 Apr 2011 15:44:14 +0200

software-properties (0.80.6) natty; urgency=low

  * software-properties-gtk: Fix crash on invalid locale. (LP: #730643)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 05 Apr 2011 15:07:42 +0200

software-properties (0.80.5) natty; urgency=low

  * softwareproperties/gtk/DialogAddSourcesList.py: Drop leftover pygtk
    import.
  * software-properties-gtk: Fix --enable-ppa to work again.
  * softwareproperties/gtk/DialogAddSourcesList.py: Fix WMFunction Gdk
    constant. (LP: #736393)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 22 Mar 2011 16:58:23 +0100

software-properties (0.80.4) natty; urgency=low

  * software-properties-gtk: Update require_version() call to current
    pygobject API. Bump python-gobject dependency accordingly.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 03 Mar 2011 17:25:28 +0100

software-properties (0.80.3) natty; urgency=low

  * softwareproperties/gtk/DialogAdd.py: Fix UnicodeDecodeError in "Add
    source" dialog. (LP: #721778)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 02 Mar 2011 13:13:46 +0100

software-properties (0.80.2) natty; urgency=low

  * softwareproperties/gtk/SoftwarePropertiesGtk.py: Gdk.window_foreign_new()
    is currently not introspectable (and went away entirely in Gtk 3), so
    don't crash if it is not available. (LP: #718811)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 15 Feb 2011 09:26:12 +0100

software-properties (0.80.1) natty; urgency=low

  * fix typo in changelog

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 14 Feb 2011 14:38:31 +0100

software-properties (0.80) natty; urgency=low

  * software-properties-gtk, ./softwareproperties/gtk/*: Port from pygtk to
    gobject-introspection. This works with both GTK 2 and 3, but in GTK2 we
    have to disable the drag&drop functionality (as current GTK2 does not have
    a gtk_target_entry_new() and thus you can't construct those).
  * softwareproperties/gtk/SoftwarePropertiesGtk.py: When doing string
    interpolation with translated text and unicode objects, encode the latter
    into UTF-8 first. pygtk did that for us using some black magic (by calling
    PyUnicode_SetDefaultEncoding()).
  * software-properties-gtk: Force using GTK 2 for now, as in Natty we don't
    currently ship GTK 3 on the default installation (we don't have a theme
    yet).
  * debian/control: Update dependencies for the pygtk → pygi switch.
  * software-properties-gtk, softwareproperties/gtk/DialogMirror.py: Drop
    calls to Gdk.threads_*(). They were insufficient and causing lockups, and
    since multi-threaded Gtk is a pain to get right, we'll rather change the
    code structure to only use Gtk from the main thread.
  * softwareproperties/gtk/DialogMirror.py: Run GTK operations in main thread,
    to avoid thread lockups.
  * softwareproperties/MirrorTest.py: Move additional MirrorTestGtk
    functionality (setting threading.Event flag and storing current
    action/progress into main MirrorTest class, so that we can entirely drop
    MirrorTestGtk from softwareproperties/gtk/DialogMirror.py. KDE still uses
    its own implementation with real threads, as this is still easier to do.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 14 Feb 2011 14:23:12 +0100

software-properties (0.78.1) natty; urgency=low

  * use port 80 by default when getting gpg keys for PPAs
    (LP: #615788)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 13 Dec 2010 09:37:56 +0100

software-properties (0.78) natty; urgency=low

  * add support for simplified syntax LP: #686348

 -- Carl Karsten <carl@personnelware.com>  Tue, 07 Dec 2010 01:46:28 -0600

software-properties (0.77) natty; urgency=low

  * po/pt_BR.po:
    - updated translations, thanks to Sergio Cipolla
      (closes: #593693)
  * merged lp:~kelemeng/software-properties/bug657835, many
    thanks to Gabor Kelemen (LP: #657835)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 03 Nov 2010 10:07:32 +0100

software-properties (0.76.7) maverick; urgency=low

  [ Gabor Kelemen ]
  * Add translation domain info to setup_ui and its invocations.
    Fixes LP:644404

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 20 Sep 2010 14:55:05 +0200

software-properties (0.76.6) maverick; urgency=low

  * data/gtkbuilder/main.ui:
    - fix expand property of the button pane
  * fix deprecation warnings from python-apt 0.8

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 13 Sep 2010 10:16:53 +0200

software-properties (0.76.5) maverick; urgency=low

  [ Mohamed Amine IL Idrissi ]
  * data/software-properties-gtk.desktop.in: desktop file is now really
    hidden (LP: #624072)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 07 Sep 2010 15:23:11 +0200

software-properties (0.76.4) maverick; urgency=low

  * Add release upgrade option to KDE UI to select between LTS and
    normal upgrade prompts LP: #631708

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 06 Sep 2010 17:09:25 +0100

software-properties (0.76.3) maverick; urgency=low

  * po/POTFILES.in,
    Correctly define the gtkbuilder types to those strings are in the template
  * Correct a typo in one of the add-apt-repository strings
    (lp: #630613)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 06 Sep 2010 17:38:47 +0200

software-properties (0.76.2) maverick; urgency=low

  [ Michael Vogt ]
  * fix ftbfs

  [ Mohamed Amine IL Idrissi ]
  * data/software-properties-gtk.desktop.in: Menu entry is now hidden
    (LP: #624072)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 25 Aug 2010 20:19:47 +0200

software-properties (0.76.1) maverick; urgency=low

  [ Amicahi Rothman ]
  * Fixed "Select Best Server" broken by PyQt signal argument changes

  [ Michael Vogt ]
  * po/pt_BR.po:
    - updated, thanks to Sergio Cipolla
  * merged lp:~and471/software-properties/gtkbuilder-and-gui-polish,
    many thanks!

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 25 Aug 2010 20:05:41 +0200

software-properties (0.76) maverick; urgency=low

  [ Jonathan Harker ]
  * Improve documentation for apt-add-repository (LP: #586790)

  [ mac9416 ]
  * Fixed bug LP: #446216: added --remove option to add-apt-reporitory.
  * Fixed Bug LP: #579669 which points out that add-apt-repository will
    create a sources.list.d file with illegal characters
    if there are illegal characters in a PPA name

  [ Andrea Corbellini ]
  * Automatically create a deb-src line when adding a new repository
    (LP: 399711)

  [ Michael Vogt ]
  * add test for LP: #579669 and use re.sub() instead of urllib.quote()
  * merged lp:~alexzak/software-properties/fixes, many thanks

  [ Erik B. Andersen ]
  * Fixed depreciation warnings

  [ Brandon Tomlinson ]
  * Altered data/glade/main.glade Put the bottom buttons in a button box
    to make the buttons assume the correct width (LP: #515990)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 13 Aug 2010 17:38:45 +0200

software-properties (0.75.11) maverick; urgency=low

  * Port software-properties-kde from using install-package to using
    qapt-batch, a C++ drop-in replacement (LP: #497803)
  * Replace dependency on install-package to qapt-batch in debian/control
  * Bump Standards-Version to 3.9.1, no changes required

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 06 Aug 2010 20:09:06 -0400

software-properties (0.75.10) lucid; urgency=low

  * softwareproperties/ppa.py:
    - fix launchpad API path when looking for the PPA archive
      signing key

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 14 Apr 2010 09:03:12 +0200

software-properties (0.75.9) lucid; urgency=low

  * [KDE] Fix crash caused by translations containing distro name (LP: #545927)

 -- Amichai Rothman <amichai2@amichais.net>  Mon, 29 Mar 2010 02:34:40 +0300

software-properties (0.75.8) lucid; urgency=low

  [ Michael Vogt ]
  * softwareproperties/gtk/SoftwarePropertiesGtk.py:
    - do not crash if tranient parent can not be set (LP: #83914)
  * debian/manpages/software-properties-gtk.1:
    - add man-page (thanks to Gabe Gorelick) LP: #290308
  * add-apt-repository:
    - better help output (LP: #407779)
    - do not crash if setlocale fails (LP: #467369)
  * software-properties-gtk:
    - ensure newly created ppa files are readalbe (LP: #497778)
  * data/software-properties-gtk.desktop.in:
    - fix desktop file location (thanks to Ricardo Pérez López)
      LP: #543637
  * provide apt-add-repository link (LP: #547194)
  * debian/manpages/add-apt-repository.1:
    - add man-page, thanks to Chow Loong Jin (LP: #407779)
  * fix lintian warnings
  * softwareproperties/SoftwareProperties.py:
    - show summary in addition to comment for disabled entries
      (LP: #543207)

  [ Harald Sitter ]
  * [KDE] Fix bug in I18nHelper, where it would trigger a crash if unicode()
    to UTF-8 fails. Fallback to latin1 in this case. This for example happens
    when the APT keyring contains a key with non-latin characters, which can
    happen with PPA keys, since those contain the owner's name.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 26 Mar 2010 13:51:20 +0100

software-properties (0.75.7) lucid; urgency=low

  * [KDE] Fix a crash on startup encountered with localized environments
    (LP: #505964)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 11 Jan 2010 15:31:59 -0500

software-properties (0.75.6) lucid; urgency=low

  * Fix cdrom progress bar popping up after being canceled (LP: #496257)
  * Fix adding cdrom source to top of sources list (LP: #162395)
  * Fix instability after failed cdrom addition (LP: #221667)
  * Fix focus in add source dialog

 -- Amichai Rothman <amichai2@amichais.net>  Tue, 22 Dec 2009 17:29:46 +0000

software-properties (0.75.5) lucid; urgency=low

  [ Harald Sitter ]
  * KDE frontend: replace old manual listing of file endings for key import
    with mimetype based model (no need to support old stuff since it is so
    incredibly wrong... ending-wise that is)

  [ Amichai Rothman ]
  * Fix import of keys with non-ascii filename (LP: #350485)
  * Add source line input validation when adding a new source (LP: #116445)
  * Fix selected item and edit/remove button state after toggling a source
  * Fix alternate mirror selection corrupting sources.list (LP: #464707)
  * Fix selected mirror not shown in combobox (LP: #96110)
  * Fix mirror selection dialog error in non-ascii locale (LP: #96201)
  * Fix crash when modifying sources selection (LP: #102792)
  * Fix error handling when ppa key is missing (LP: #475220)
  * Improve keyboard tab order in some dialogs (LP: #464569)
  * Fix and improve mirror test and GUI (LP: #223047)
  * Fix mirror test timeout handling (LP: #456365)
  * Fix i18n, accelerators and styling on all dialogs (LP: #102773)
  * Fix utf8 in edit source dialog comments (LP: #489960)

 -- Amichai Rothman <amichai2@amichais.net>  Sun, 13 Dec 2009 23:49:08 +0200

software-properties (0.75.4) karmic; urgency=low

  * Suffix software-properties.desktop with -gtk.desktop
  * Create a copy of that file with suffix -kde.desktop
    + Change to KDE icon and exec
    + Add NoDisplay=true, the desktop file is only necessary for kdesudo to
      have it show a proper name and icon which does not require it to show
      up anywhere
  * software-properties-kde depends on install-package for reloading the
    repository information and cache updating (LP: #367972)
  * Fix typo in software-properties-kde description (QT -> Qt)
  * if != if not ... only show key removal error if there really was a
    problem (LP: #123372)
  * Make python-software-properties go to section python
  * Add manpage for software-properties-kde (generated by kdemangen.pl from
    the kdesdk-scripts package (low maintenance)
  * Clearify license versions in copyright file
  * Bump standards version to 3.8.3

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 07 Sep 2009 11:58:49 +0200

software-properties (0.75.3) karmic; urgency=low

  [ Kyle Nitzsche ]
  * Use "Other Software" instead of "Third Party Software" (LP: #420672)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 01 Sep 2009 18:30:39 +0200

software-properties (0.75.2) karmic; urgency=low

  [ Michael Vogt ]
  * update software-properties.pot (LP: #407240)

  [ Harald Sitter ]
  * Add actual PGP key file endings to the KDE file picker whitelist (keep
    old endings around for compability)
  * Fix the KDE UI's enable-component arg, add output to that function and
    reorder help output to list --attach as last

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 22 Aug 2009 16:35:34 +0200

software-properties (0.75.1) karmic; urgency=low

  * add-apt-repository:
    - fix typo (thanks to Brian Murray), LP: #399864
  * debian/control:
    - add Vcs-Bzr header
  * softwareproperties/SoftwareProperties.py:
    - allow removing of sources.list.d files with just a single
      line (LP: #399898)
  * add-apt-repository:
    - ensure that new files are created with 0644 by default
      (LP: #399709)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 17 Jul 2009 17:00:34 +0200

software-properties (0.75) karmic; urgency=low

  * new helper script "add-apt-repository" that can be used to
    enable a repository from the commandline. Useful for e.g.
    'add-apt-repository ppa:gnome-desktop'
  * fix error in auto-upgrade settings when
    dpkg-reconfigure unattended-upgrades was used (LP: #387704)
  * po/zh_TW.po:
    - updated, thanks to Roy Chan (LP: #365040)
  * softwareproperties/kde/SoftwarePropertiesKDE.py:
    - do not error on cancel (LP: #364288)
    - use the SUDO_USER home instead of /root (if available)
      (LP: #364197)
    - add utf8() function and replace the custom converts to it
      (hopefully fixes LP: #362188)
    - disable "Find best server" for now, the threading crashing
      KDE
  * softwareproperties/gtk/DialogCacheOutdated.py:
    - fix incorrect wait on synaptic (LP: #357617, LP: #349639)
  * softwareproperties/SoftwareProperties.py:
    - check/ensure apt daily cron job is executable (LP: #390319)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 14 Jul 2009 16:54:38 +0200

software-properties (0.74) karmic; urgency=low

  * debian/rules:
    - use DH_PYTHON=include-links
  * add support for drag-n-drop public key blocks
  * fix error() function
  * add right click menu to authication treeview to
    support adding key via copy-n-paste (LP: #372577)
  * software-properties-kde:
    - set bugAddress to ""

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 23 Jun 2009 17:14:05 +0200

software-properties (0.73) karmic; urgency=low

  * Support adding PPA keys automatically (thanks to
    Celso)
  * support shorthand syntax for PPAs (ppa:owner or
    ppa:owner/ppa_name) when clicking on "add"
  * support new commandline option "--enable-ppa name"

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 08 Jun 2009 18:28:24 +0200

software-properties (0.72) karmic; urgency=low

  * softwareproperties/kde/DialogEdit.py,
    softwareproperties/kde/SoftwarePropertiesKDE.py:
    - fix unicode problems with KDE (thanks to Savvas)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 05 Jun 2009 21:30:00 +0200

software-properties (0.71.5) jaunty; urgency=low

  * debian/control:
    - put "software-properties-kde" into the kde section
      (LP: #323556)
  * softwareproperties/SoftwareProperties.py:
    - fix crash in the way md5 from hashlib is used (LP: #346863)
  * softwareproperties/gtk/DialogMirror.py:
    - fix crash when no mirrors are available (LP: #332205)
  * softwareproperties/gtk/SoftwarePropertiesGtk.py:
    - make is_seperator() more robust (LP: #335637)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 27 Mar 2009 15:00:56 +0100

software-properties (0.71.4) jaunty; urgency=low

  * PyKDE4 frontend polish:
    - QFileDialog -> KFileDialog
    - Pushbuttons get appropriate KIcons
    - The "Remove..." gpg key pushbutton is disabled when nothing is selected
      in the key treeview, just like the remove pushbutton in the sources
      editor tab

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 20 Mar 2009 08:46:36 -0400

software-properties (0.71.3) jaunty; urgency=low

  * fix combobox_server unicode for bug #102773
    (thanks to Savvas Radevic)
  * fix warning from 'import md5', thanks to Marco Rodrigues
  * softwareproperties/SoftwareProperties.py:
    - if a entry is added that matches a known channel automatically
      add the right gpg signing key (LP: #328486)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 18 Mar 2009 17:53:09 +0100

software-properties (0.71.2) jaunty; urgency=low

  * softwareproperties/gtk/SoftwarePropertiesGtk.py:
    - show the cache outdate dialog when run with toplevel
      too
  * sofware-properties-gtk:
    - add "--open-tab" option that opens a spefic tab number
      on startup
  * debian/*.install:
    - updated for new python policy

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 02 Mar 2009 17:12:51 +0100

software-properties (0.71.1) jaunty; urgency=low

  * use iso_3166.xml instead of iso_3166.tab

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 22 Jan 2009 09:51:22 +0100

software-properties (0.71) jaunty; urgency=low

  * softwareproperties/gtk/DialogMirror.py:
    - fixes in the mirror speed test for small sets of
      mirrors

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 08 Jan 2009 17:06:11 +0100

software-properties (0.70.debian-1) experimental; urgency=low

  * New upstream release
  * debian/control.in:
  - added python-kde4 as a dependency for software-properties-kde, now
    that it is ported
  - upgraded to Standards-Version 3.8.0, with no changes
  - added Vcs headers
  * debian/copyright:
  - make it machine readable, using the standards defined in the Debian
    wiki
  * debian/software-properties-gtk.install:
  - no longer install help, since upstream no longer generates it, since
    it is outdated

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 04 Dec 2008 12:37:23 -0200

software-properties (0.70) jaunty; urgency=low

  * main.glade: Change accelerator for "Check for updates" dropdown
    from alt+c to alt+k to remove collision with close (LP: #285317)

 -- Mackenzie Morgan <maco.m@ubuntu.com>  Sat, 18 Oct 2008 04:51:58 -0400

software-properties (0.68) intrepid; urgency=low

  * SoftwarePropertiesKDE.py: use install-package instead of obsolete adept_batch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 15 Oct 2008 15:11:57 +0100

software-properties (0.67) intrepid; urgency=low

  * KDE: Add --attach option to make it act like a dialogue

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 24 Sep 2008 20:55:23 +0100

software-properties (0.66) intrepid; urgency=low

  * Patch from Connor Kirwan to main.ui for KDE frontend <cdkirwan@gmail.com>
   - Use QGroupBox containers on the Updates tab (like on the Kubuntu Software
     tab)
   - Remove ugly non-native-looking rich text styling from "Trusted software
      providers" header on the Authentication tab; font now conforms to user's
     global KDE/Qt font settings
   - Fix miscellaneous capitalization inconsistencies (compared against GTK
     version)
   - Fix typos: s/Installalble/Installable/, s/CDROM/CD-ROM/
   - Hide all QTreeWidget headers and remove their labels since they are only
     single-column and are already labeled by their tab or a standalone header


 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 08 Sep 2008 16:18:28 +0100

software-properties (0.65ubuntu1) intrepid; urgency=low

  * added kde4 port (thanks to Jonathan Thomas)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 21 Aug 2008 17:32:16 +0200

software-properties (0.64ubuntu1) intrepid; urgency=low

  * Standarizing .desktop file data/software-properties.desktop.in (LP : # 146979)
   + Removing Application value from Category key - Deprecated
   + Removing Encoding Key - Deprecated
   + Adding semicolon to the end of MimeType

 -- Jad Madi <Jad@Ubuntu.com>  Mon, 21 Jul 2008 21:56:29 +0300

software-properties (0.63ubuntu1) hardy; urgency=low

  * do not install (outdated) help for now

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 04 Mar 2008 23:10:15 +0100

software-properties (0.62ubuntu1) hardy; urgency=low

  [ Jonathan Riddel ]
  * Make KDE frontend call adept_batch update when sources need to be
    updated
  * Remove KDE frontend crash dialogue, use apport instead

  [ Sebastian Heinlein ]
  - updated for python-distutils-extra 1.92

  [ Michael Vogt ]
  - add support to change release upgrade policy

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 11 Feb 2008 18:40:45 +0100

software-properties (0.60.debian-3) unstable; urgency=low

  * Reintroduce dropped changes from 0.60.debian-1.1 NMU.
  * Add manpages for software-properties-gtk and -kde.
    Thanks, Timo Jyrinki! (closes: #458471).

 -- Jordi Mallach <jordi@debian.org>  Sun, 14 Nov 2010 02:00:27 +0100

software-properties (0.60.debian-2) unstable; urgency=low

  * Fix all pending l10n issues from the BTS. Add updates for:
    - Slovak (closes: #439073, #441623, #531772).
    - Finnish (closes: #497714).
    - Japanese (closes: #454290).
    - Swedish (closes: #517504).
    - Czech (closes: #590820).
    - Brazilian Portuguese (closes: #593693).
    - Catalan (closes: #494174).
  * Fix errors in desktop file (closes: #453470).
  * Actually install .mo files. Thanks, Kenshi Muto and Mika Hanhijärvi
    (closes: #454280, #502582).
  * Fix glade markup in Popcon message, so it can show up in the dialog
    (closes: #509010, #505287).
  * Change default distro from sarge (!) to squeeze (closes: #418106).
  * Use su-to-root instead of gksu (closes: #479827).
  * Replace "Kubuntu" with "Debian" in the KDE frontend (closes: #577671).
  * Get rid of the bogus "urd" translation.

 -- Jordi Mallach <jordi@debian.org>  Tue, 26 Oct 2010 00:00:03 +0200

software-properties (0.60.debian-1.1) unstable; urgency=low

  * Non-maintainer upload during credativ BSP 2008
  * Fix release goal: FTBFS if build twice in a row (Closes: #442733)

 -- Martin Zobel-Helas <zobel@debian.org>  Sun, 06 Apr 2008 02:31:14 +0200

software-properties (0.60.debian-1) unstable; urgency=low

  [ Kilian Krause ]
  * Add get-orig-source target.

  [ Loic Minier ]
  * Use ubuntu-get-source instead of gnome-get-source; build-dep on
    gnome-pkg-tools >= 0.12.3.

  [ Gustavo Noronha Silva ]
  * This version changes the upstream version by adding a .debian
    sufix to indicate that we do change the tarball (by removing
    the debian/ subdirectory)
  * debian/watch:
  - added, to find new versions in archive.ubuntu.com
  * debian/changelog.ubuntu:
  - added; information about changes in the ubuntu source
  * debian/docs:
  - install the ubuntu changelog
  * debian/patches/00_setup_py_for_new_distutils_extra.diff:
  - removed; no longer needed, fixed upstream
  * debian/software-properties.png.uu, debian/rules:
  - import icon and code to replace the Ubuntu icon with the Debian
    one from update-manager
  * debian/control.in:
  - updated dependency on python-apt so that we depend on python-apt
    0.7.3
  - added build-dep on sharutils because of the uudecode usage in
    debian/rules

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 07 Aug 2007 22:36:03 -0300

software-properties (0.60) gutsy; urgency=low

  [Michael Vogt]
  * data/software-propoerties.desktop.in:
    - fix double gksu (LP: #111137)
  * fix incorrect X-Ubuntu-Gettext-Domain (Fixes LP: #120012)
  * setup.py:
    - ported to new distutils

  [Sebastian Heinlein]
  * Adapet changes of python-apt that allow to handle forced
    servers in a more sane way - fix (LP: #86060)
  * fix i18n issues

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 01 Aug 2007 10:06:58 +0200

software-properties (0.59.4-2) experimental; urgency=low

  * debian/copyright:
  - fix documentation licensing information so that it references
    the file in /usr/share/common-licenses
  * debian/control.in, debian/patches/00_setup_py_for_new_distutils_extra.diff:
  - python-distutils-extra 1.90 is now in Debian, and is API incompatible;
    make sure we use it to build, and that we use the new API

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 11 Jul 2007 21:54:59 -0300

software-properties (0.59.4-1) experimental; urgency=low

  * First upload to Debian
  - software-properties has been split in its own package
    (Closes: #396945)
  * debian/control.in:
  - require python-apt >> 0.7.2 (I don't know which version it will be)
    because 0.7.2 and earlier do not provide the needed modules and/or
    methods on the classes that are specific for Debian

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 19 Jun 2007 12:37:37 +0100

software-properties (0.59.4) feisty; urgency=low

  * i18n fixes, closes https://launchpad.net/bugs/102773

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 10 Apr 2007 12:56:50 +0100

software-properties (0.59.3) feisty; urgency=low

  * Fix an incorrect insenstive state of the source code checkbutton

 -- Sebastian Heinlein <glatzor@ubuntu.com>  Wed,  4 Apr 2007 11:37:06 +0200

software-properties (0.59.2) feisty; urgency=low

  * another cdrom releated fix (LP#98795)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  4 Apr 2007 21:00:41 +0200

software-properties (0.59.1) feisty; urgency=low

  * remove obsolete glade file
  * fix cdrom support in the GTK and KDE frontend

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  2 Apr 2007 11:06:39 +0200

software-properties (0.59) feisty; urgency=low

  [ Jonathan Riddell ]
  * KDE frontend
    - implement find best mirror
    - Add missing mirrors (first one from each country was not added)
    - Sort mirrors list
    - Implement revert button
  * Gnome frontend
    - Fix typo "Protocoll"

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 30 Mar 2007 11:17:17 +0100

software-properties (0.58.1) feisty; urgency=low

  [Michael Vogt]
  * Fix setting transient-for none in some cases.
    (thanks to Robert Carr)
  * only build for python version from 2.4 onwards (LP#96747)
  [Sebastian Heinlein]
  * fixes in the mirror speed tester

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 27 Mar 2007 13:46:16 +0200

software-properties (0.58) feisty; urgency=low

  * po/*.po:
    - make update-po
  * allow to specify no components in the edit dialog (LP#93640)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 22 Mar 2007 15:20:49 +0100

software-properties (0.57) feisty; urgency=low

  [ Michael Vogt ]
  * fix in the danish translation (thanks to Ole Laursen)
  * do not crash when called with a filename arguemnt (LP#90296)
  * fix crash in dialog edit in kde (LP#92230)

  [ Sebastian Heinlein ]
  * increase number of ping workers from 5 to 25 to speed up the
    mirror test (LP#90379)
  * fix the progress bar of the download test (missing mod call)
  * UI glitches fixes
  * fix the order of the variables in the gtk __init__ (LP#93028)
  * fix a wrong import in the GTK d'n'd handler (LP#93163)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 19 Mar 2007 11:11:45 +0100

software-properties (0.56) feisty; urgency=low

  [Michael Vogt]
  * fix crash in remove_source() (LP#85759)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 22 Feb 2007 17:01:55 +0100

software-properties (0.55) feisty; urgency=low

  [Sebastian Heinlein]
  * fix crash in kde frontend (LP#84901)
  * fix kde form heading (LP#84610)
  * fix automatic updates saving (LP#84612)
  * typo fixes

  [ Jonathan Riddell ]
  * Fix KDE crash dialogue to point to software-properties, not Ubiquity

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 14 Feb 2007 11:06:05 +0100

software-properties (0.54) feisty; urgency=low

  * fixed desktop file (LP#84290)
  * fix --enable-component (LP#84608)
  * fix missing icon
  * various bugfixes

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Feb 2007 09:50:20 +0100

software-properties (0.53) feisty; urgency=low

  *  added full GNU FDL text to the source

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  7 Feb 2007 15:40:50 +0100

software-properties (0.52) feisty; urgency=low

  * update debian/copyright

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  7 Feb 2007 12:26:49 +0100

software-properties (0.51) feisty; urgency=low

  * fix some UI glitches (thanks to Sebastian Heinlein)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  6 Feb 2007 11:02:18 +0100

software-properties (0.50) feisty; urgency=low

  * fork source package from update-manager to support adding
    different frontends (thanks to Sebastian Heinlein and
    Jonathan Riddell)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 27 Oct 2006 10:23:39 +0200

update-manager (0.45.1) edgy-updates; urgency=low

  * handle unexpected data from data more gracefuly (lp: #68553)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 27 Oct 2006 10:23:39 +0200

update-manager (0.45) edgy; urgency=low

  * debian/control:
    - added dependency on python-gconf
    - removed recommends on python-gnome2

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 11 Oct 2006 18:32:17 +0200

update-manager (0.44.17) edgy; urgency=low

  * memory leak fixed (lp: #43096)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  9 Oct 2006 15:24:40 +0200

update-manager (0.44.16) edgy; urgency=low

  * fix proxy usage when runing in non-root mode (lp: #40626)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  6 Oct 2006 15:17:37 +0200

update-manager (0.44.15) edgy; urgency=low

  * added missing python-vte dependency (lp: #63609)
  * added missing gksu dependency (lp: #63572)
  * don't remove xchat automatically anymore on upgrade (leftover
    from breezy->dapper) (lp: #63881)
  * do not come up with bogus dist-upgrade suggestions
  * fix bad english grammar (lp: #63761, #63474)
  * fix in the edgyUpdates quirks handler (lp: #63723)
  * catch error from _tryMarkObsoleteForRemoval() (lp: #63617)
  * fix plural forms for ro, pl (lp: #46421)
  * properly escape comments before displaying them (lp: #63475)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  4 Oct 2006 21:10:40 +0200

update-manager (0.44.14) edgy; urgency=low

  * fix some incorrect i18n markings (lp: #62681)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  2 Oct 2006 14:41:52 +0200

update-manager (0.44.13) edgy; urgency=low

  * fix missing i18n declarations (lp: #62519)
  * data/glade/SoftwareProperties.glade:
    - fix missing "translatable" property (lp: #62681)
  * DistUpgrade:
    - deal better with the python transition and the hpijs
      upgrade (lp: #62948)
  * UpdateManager/UpdateManager.py:
    - put the cancel button inside the text-area to avoid flickering
    - make sure that src_ver is always initialized (thanks to
      Simira for reporting)
    - filter python-apt future warning (especially for seb128)
  * DistUprade/DistUpgradeControler.py:
    - check for self.sources, self.aptcdrom before using it (lp: #61852)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 23 Sep 2006 00:53:06 +0200

update-manager (0.44.12) edgy; urgency=low

  * DistUpgrade/DistUpgradeViewGtk.py:
    - use '%d' instead of '%s' where appropriate (lp: #60239)
  * fixed lots of typos (lp: #60633)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 18 Sep 2006 16:37:52 +0200

update-manager (0.44.11) edgy; urgency=low

  * UpdateManager/UpdateManager.py:
    - fix error in get_changelog (lp: #59940).
      Thanks to Denis Washington
    - bugfix in the ListStore
    - use the update-manager desktop file when runing synaptic
      as the backend to get a consistent UI
    - UI improvements (thanks to Sebastian Heinlein!)
    - remove branding

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 12 Sep 2006 20:37:55 +0200

update-manager (0.44.10) edgy; urgency=low

  * aptsources.py:
    - fix add_component() to avoid duplicated components
    - added MirrorsFile key to DistInfo code to have a better idea
      about the available mirrors
  * debian/control:
    - updated dbus dependencies (lp: #59862)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 11 Sep 2006 09:38:21 +0200

update-manager (0.44.9) edgy; urgency=low

  * SoftwareProperties/SoftwareProperties.py:
    - bugfix in the popcon enable code (lp: #59540)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat,  9 Sep 2006 02:13:40 +0200

update-manager (0.44.8) edgy; urgency=low

  * fix missing /var/log/dist-upgrade

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  8 Sep 2006 20:33:04 +0200

update-manager (0.44.7) edgy; urgency=low

  * UpdateManager/UpdateManager.py:
    - be more accurate about dependencies when the user selects only
      a supset of the packages

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  6 Sep 2006 12:29:05 +0200

update-manager (0.44.6) edgy; urgency=low

  * SoftwareProperties/SoftwareProperties.py:
    - fix inconsistency in the new software-sources dialog
  * integrate DistUpgrade code into UpdateManager to make sure
    that after e.g. a CDROM upgrade the rest of the system can still
    be fully upgraded over the net

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  5 Sep 2006 13:30:22 +0200

update-manager (0.44.5) edgy; urgency=low

  * install the DistUpgrade package too
  * data/channels/Ubuntu.info.in:
    - warty is no longer officially supported

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 30 Aug 2006 11:32:24 +0200

update-manager (0.44.4) edgy; urgency=low

  * SoftwareProperties/SoftwareProperties.py:
    - don't bomb when searching for the mirror (lp: #57015)
  * UpdateManager/UpdateManager.py:
    - added "%s-proposed" to the list of known origins

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 24 Aug 2006 13:00:23 +0200

update-manager (0.44.3) edgy; urgency=low

  * help/C/update-manager-C.omf:
    - fix url (thanks to daniel holbach, lp: #45548)
  * show the units better
  * don't jump around on row activation
    (thanks to Sebastian Heinlein)
  * send "inhibit sleep" to power-manager while applying
    updates  (lp #40697)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 15 Aug 2006 18:06:53 +0200

update-manager (0.44.2) edgy; urgency=low

  * added select all/unselect all (thanks to Sebastian Heinlein)
  * wording fixes
  * fix update counting bug

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  3 Aug 2006 17:52:09 +0200

update-manager (0.44.1) edgy; urgency=low

  * make UpdateManager check for new distribution releases by
    default again
  * fix dist-upgrade fetching when run as non-root.
  * sort the package list by the origin (UpdateManagerEdgy spec)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  2 Aug 2006 13:00:42 +0200

update-manager (0.44) edgy; urgency=low

  * new SoftwareProperties GUI (thanks to Sebastian Heinlein)
  * support easy Popcon pariticipation

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 28 Jul 2006 01:06:16 +0200

update-manager (0.43) edgy; urgency=low

  * fixes in the changelog reading code
  * speedup in the cache clear code
  * runs as user by default now
  * uses dbus to implement singleton behaviour
  * updated the software-properties code to know about edgy

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  4 Jul 2006 11:16:31 +0200

update-manager (0.42.2ubuntu22) dapper; urgency=low

  * UpdateManager/UpdateManager.py:
    - fix a 'brown paperback' bug when the Meta-Release file
      checked (#46537)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 25 May 2006 12:30:42 +0200

update-manager (0.42.2ubuntu21) dapper; urgency=low

  * UpdateManager/UpdateManager.py:
    - when a distribution release becomes available, display the
      version, not the codename (as per
      https://wiki.ubuntu.com/CodeNamesToVersionNumbers)
    - fix a string that was not marked transltable

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 24 May 2006 15:07:19 +0200

update-manager (0.42.2ubuntu20) dapper; urgency=low

  * SoftwareProperties/aptsources.py, channels/Ubuntu.info.in:
    - remove the codenames from the releases (as per
      https://wiki.ubuntu.com/CodeNamesToVersionNumbers)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 23 May 2006 16:04:39 +0200

update-manager (0.42.2ubuntu19) dapper; urgency=low

  * help/C/figures:
    - applied "pngcrush" on the figures in the manual,
      this saves 4 MB uncompressed (ubuntu: #45901)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 22 May 2006 09:37:19 +0200

update-manager (0.42.2ubuntu18) dapper; urgency=low

  * data/SoftwareProperties.glade:
    - fix missing 'translatable="yes"' property (ubuntu: #44409)
    - increase width to 620 (ubuntu: #40540)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 19 May 2006 01:45:22 +0200

update-manager (0.42.2ubuntu17) dapper; urgency=low

  * debian/control:
    - depend on later python-apt (#45325)
  * SoftwareProperties/SoftwareProperties.py:
    - fix key updating after import (ubuntu #44927)
  * UpdateManager/UpdateManager.py:
    - remove debug output

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 19 May 2006 00:04:02 +0200

update-manager (0.42.2ubuntu16) dapper; urgency=low

  * use version and section of the source package (if this information is
    available) when building the changelog URL (ubuntu #40058)
  * SoftwareProperties/SoftwareProperties.py:
    - if no config is found create a new one (ubuntu: #37560)
  * UpdateManager/UpdateManager.py:
    - fix problem in changelog reading code when matching against
      installed versions with epochs (ubuntu: #40058)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 11 May 2006 17:33:40 +0200

update-manager (0.42.2ubuntu15) dapper; urgency=low

  * disable the install button if there no updates (ubuntu: #42284)
    (Thanks to Sebastian Heinlein)
  * show main window *after* restoring the size (ubuntu: #42277)
    (Thanks to Sebastian Heinlein)
  * fix broken spelling, typos, wording (ubuntu: #42431, #28777,
    #40425, #40727)
  * help/C: merged from the docteam svn (ubuntu: 36092)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  2 May 2006 12:13:59 +0200

update-manager (0.42.2ubuntu14) dapper; urgency=low

  * wording/glade file fixes (thanks to Sebastian Heinlein)
  * many updates to the dist-upgrader code

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 28 Apr 2006 23:04:08 +0200

update-manager (0.42.2ubuntu13) dapper; urgency=low

  * po/POTFILES.in: add missing desktop file (ubuntu: #39410)
  * UpdateManager/UpdateManager.py:
    - fix in the get_changelog logic (ubuntu: #40058)
    - correct a error in the changelog parser (ubuntu: #40060)
    - fix download size reporting (ubuntu: #39579)
  * debian/rules: added dh_iconcache
  * setup.py: install the icons into the hicolor icon schema
    (thanks to Sebastian Heinlein)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 20 Apr 2006 18:23:54 +0200

update-manager (0.42.2ubuntu12) dapper; urgency=low

  * channels/*.in: typo fix
  * po/POTFILES.in: add missing files (ubuntu: #38738)
  * fix the help string in update-manager (ubuntu: #23274)
  * fix the bad grammar in "Cannot install all available updates"
    (ubuntu: #32864)
  * don't inform about new distro release on dapper by default (can be
    changed via a gconf setting/commandline switch)
  * fix UI issue of the edit dialog for given templates (thanks to
    Chipzz for the patch)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 12 Apr 2006 20:23:21 +0200

update-manager (0.42.2ubuntu11) dapper; urgency=low

  * debian/control:
    - depend on unattended-upgrades
    - move python-gnome2 to recommends (we only use gconf from it)
  * UpdateManager/fakegconf.py: update for xubuntu (thanks to Jani Monoses)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  5 Apr 2006 14:46:10 +0200

update-manager (0.42.2ubuntu10) dapper; urgency=low

  * update-manger: fix a missing import (#36138)
  * typo fix (#36123)
  * correct dapper version number (#36136)
  * keybindings fixed (#36116)
  * calc the update before downloading the changelog (#36140)
  * add a fake gconf interface for xubuntu (nop for normal ubuntu)
    (Thanks to Jani Monoses for the patch)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  4 Apr 2006 18:17:16 +0200

update-manager (0.42.2ubuntu9) dapper; urgency=low

  * Better English (tm)  (fixes #35985)
  * Use the the number of available and not selected updates to determinate
    if the system is up-to-date (fixes #35300)
  * fix ui problem with software preferences (fixes #35987)
  * fix width problem in SoftwareProperties

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 22 Mar 2006 21:57:28 +0100

update-manager (0.42.2ubuntu8) dapper; urgency=low

  * fix a FTBFS

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 15 Mar 2006 17:54:08 +0000

update-manager (0.42.2ubuntu7) dapper; urgency=low

  * various spelling fixes and ui-glitches

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 14 Mar 2006 16:58:01 +0000

update-manager (0.42.2ubuntu6) dapper; urgency=low

  * po/pt_BR.po: updated translation
    (thanks to Carlos Eduardo Pedroza Santiviago)
  * po/pt.po: updated Portugise translation (thanks to Rui Azevedo)
  * debian/control: arch: all now
  * debian/rules: undo the detection in favour of the simpler update of
                  the desktop files
  * data/gnome-software-properties.desktop.in, update-manager.desktop.in:
    - added X-Ubuntu-Gettext-Domain
  * help/*: updated to latest svn

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 20 Feb 2006 15:58:09 +0100

update-manager (0.42.2ubuntu5) dapper; urgency=low

  * debian/rules: Add gettext domain to .server and .desktop files to get
    language pack support for them. (Similarly to cdbs' gnome.mk)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 23 Feb 2006 18:42:04 +0100

update-manager (0.42.2ubuntu4) dapper; urgency=low

  * removed some of the gnome dependencies (gconf still in)
  * the ReleaseNotes dialog has clickable links now (thanks to Sebastian
    Heinlein)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 20 Feb 2006 13:24:55 +0100

update-manager (0.42.2ubuntu3) dapper; urgency=low

  * fixed description of the ubuntu repository (#30813)
  * use the new synaptic --parent-window-id switch when runing the backend

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  8 Feb 2006 20:53:46 +0100

update-manager (0.42.2ubuntu2) dapper; urgency=low

  * SoftwareProperties/SoftwareProperties.py:
    - re-added the internet update options (#27932)
  * data/gnome-software-properties.desktop:
    - use gksu instead of gksudo (#30057)
  * wording fixes (#30296)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  7 Feb 2006 13:13:09 +0100

update-manager (0.42.2ubuntu1) dapper; urgency=low

  * UpdateManager/MetaRelease.py:
    - never offer a upgrade to a unsupported (i.e. developer) dist
  * data/gnome-software-properties.desktop.in: use X-KDE-SubstituteUID=true
  * small UI layout changes (should fix the cancel/close button problem)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 31 Jan 2006 09:48:13 +0000

update-manager (0.42.1ubuntu1) dapper; urgency=low

  * UpdateManagert:
    improved the HIG complicane more, removed some of the uglines
    from the last version (Malone #22090)
  * SoftwareProperties:
    improved the HIG complicane (Malone #28530)
  (thanks to Sebastian Heinlein)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 17 Jan 2006 17:27:15 +0100

update-manager (0.42ubuntu1) dapper; urgency=low

  * improved the HIG comlicane, thanks to Sebastian Heinlein:
    - Rename the button "close" to "cancel"
    - Move status bar to a separate dialog
    - Wording
    - Add a wider border around the changelog and
      description
     - Align and capitalize the button "Cancel downloading"
    (ubuntu: #28453)
  * bugfixes in the cache locking

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 16 Jan 2006 12:56:29 +0100

update-manager (0.40.2) dapper; urgency=low

  * SoftwareProperties/SoftwareProperties.py:
    - fix a problem with transient/parent window in custom apt line
      dialog (ubuntu #21585)
    - fix a problem in the conf file writer that can lead to absurdly
      large files

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  5 Jan 2006 12:37:33 +0100

update-manager (0.40.1) dapper; urgency=low

  * SoftwareProperties/SoftwareProperties.py:
    - make it embedded friendlier

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 16 Dec 2005 14:02:27 +0100

update-manager (0.40) dapper; urgency=low

  * new upstream release:
    - switched from autotools to distutils
    - massive code cleanups
    - use SimpleGladeApp now
    - SoftwareProperties has a new GUI
    - UpdateManager has support for upgrading from one dist to another
      now (given that the required "recipe" for the upgrade is available)
      See https://wiki.ubuntu.com/AutomaticUpgrade for details
    - use python-apt for "reload" and "add cdrom" now
    - improved the handling of sources.list a lot (including support for
      /etc/apt/sources.list.d)
  * support for the AutomaticUpgrades spec added via the meta-release
    information
  * data/update-manager.desktop.in:
    - use X-KDE-SubstituteUID added and use gksu now

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 15 Nov 2005 17:22:12 +0100

update-manager (0.37.1+svn20050404.15) breezy; urgency=low

  * added intltool to build-depends (for rosetta)

 -- Michael Vogt <mvo@debian.org>  Thu,  6 Oct 2005 17:30:38 +0200

update-manager (0.37.1+svn20050404.14) breezy; urgency=low

  * debian/rules:
    - run intltool-update -p for rosetta
  * src/update-manager.in:
    - release the lock before runing gnome-software-properties (ubuntu #17022)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  4 Oct 2005 22:28:43 +0200

update-manager (0.37.1+svn20050404.13) breezy; urgency=low

  * src/update-manager.in:
    - use the right column for type-ahead searching (ubuntu #16853)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  4 Oct 2005 11:01:58 +0200

update-manager (0.37.1+svn20050404.12) breezy; urgency=low

  * added locking support
  * use explicit path to python2.4 (thanks anthony!) (Ubuntu #16087)
  * CTRL-{w,q} close the update-manager window (Ubuntu #15729)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 28 Sep 2005 17:40:05 +0200

update-manager (0.37.1+svn20050404.11) breezy; urgency=low

  * fix a typo in the reload tooltip (thanks to P Jones) (ubuntu #14699)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 12 Sep 2005 14:49:13 +0200

update-manager (0.37.1+svn20050404.10) breezy; urgency=low

  * fix for a typo in the source of the last upload (*cough*)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 31 Aug 2005 15:39:53 +0200

update-manager (0.37.1+svn20050404.9) breezy; urgency=low

  * do a "save" dist-upgrade (add only, no removes)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 31 Aug 2005 12:09:20 +0200

update-manager (0.37.1+svn20050404.8) breezy; urgency=low

  * if repository window is running from inside synaptic, don't show "Add
    cdrom" button (it's available in the synaptic menu already)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 30 Aug 2005 14:12:50 +0200

update-manager (0.37.1+svn20050404.7) breezy; urgency=low

  * if running from inside another application (e.g. synaptic), make sure
    the dialogs get a correct parent (ubuntu #14001)
  * if nothing changed, do not run "reload" if runing from inside synaptic

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 29 Aug 2005 12:09:12 +0200

update-manager (0.37.1+svn20050404.6) breezy; urgency=low

  * remove (parts of) ubuntu branding from the application
  * make it run only with python2.4 (ubuntu #10876)
  * make sure to always properly escape the strings displayed
    in the treeview

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 23 Aug 2005 16:49:54 +0200

update-manager (0.37.1+svn20050404.5) breezy; urgency=low

  * updates where not shown sometimes, fixed that (ubuntu #13410)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 16 Aug 2005 10:49:46 +0200

update-manager (0.37.1+svn20050404.4) breezy; urgency=low

  * re-read the sources.list after a "add-custom" (ubuntu #9855)
  * settings window has a title (ubuntu #10756)
  * default actions for the buttons (ubuntu #10741)
  * various typos fixed (ubuntu #9866)
  * make sure that no dialogs are opened without a parent (ubuntu #10284)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 15 Aug 2005 15:15:06 +0200

update-manager (0.37.1+svn20050404.3) breezy; urgency=low

  * use breezy as default for newly created sources (ubuntu #13009)
  * be more carefull with preserving the mirror
  * a better explaination for the "Reload" button (ubuntu #11432)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 10 Aug 2005 12:07:55 +0200

update-manager (0.37.1+svn20050404.2) breezy; urgency=low

  * fix a small problem in the parsing code (ubuntu #8754)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  6 May 2005 11:24:17 +0200

update-manager (0.37.1+svn20050404.1) hoary; urgency=low

  * pickup the correct proxy settings from apt (#8668)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  6 Apr 2005 16:39:44 +0200

update-manager (0.37.1+svn20050404) hoary; urgency=low

  * translation updates:
    - xh, fr

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  4 Apr 2005 22:21:17 +0200

update-manager (0.37.1+svn20050403) hoary; urgency=low

  * translation updates:
    - pt_BR, tw
  * documentation updates (thanks to Sean Wheller and
    Jeff Schering)
  * small fixes:
    - make sure to not duplicate sources.list entires (even for
      mirrors)
    - added the hoary-updates to the templates and matchers (#8600)
    - some missing i18n strings marked as such (thanks to Zygmunt Krynicki)
    - don't fail on missing net connections
    - always update the status label

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sun,  3 Apr 2005 20:54:42 +0200

update-manager (0.37.1+svn20050323) hoary; urgency=low

  * translation updates
  * gui can set the new apt cache properties now
  * warn about broken packages (#7688)
  * only ask to reload the package list if something changed (#7871)
  * various focus fixes (#7900)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 23 Mar 2005 01:18:38 +0100

update-manager (0.37.1+svn20050314) hoary; urgency=low

  * new svn snapshot, lot's of bugfixes and i18n updates.
    - fix for a ui problem (#6837)
    - read pined packages correctly (#7058)
    - update list correctly after reload (#7182)
    - tell user when dist-upgrade is needed (#7271)
    - cdrom sources can be added now too (#7315)
    - meta-release file bugfix (#7330)
    - translation updates (da, fr, es, ro, pl)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 14 Mar 2005 08:49:52 +0100

update-manager (0.37.1+svn20050304) hoary; urgency=low

  * new snapshot, use python-apt depcache now

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  4 Mar 2005 22:55:46 +0100

update-manager (0.37.1+svn20050301) hoary; urgency=low

  * new snapshot, better de.po, better i18n support

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  1 Mar 2005 12:06:39 +0100

update-manager (0.37.1+svn20050228.1) hoary; urgency=low

  * fixed a FTBFS (because of the "cleanfiles" in Makefile.am)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 28 Feb 2005 19:12:28 +0100

update-manager (0.37.1+svn20050228) hoary; urgency=low

  * get the correct candidate version for updatable packages
    (ubuntu #6825)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 28 Feb 2005 11:00:38 +0100

update-manager (0.37.1+svn20050221) hoary; urgency=low

  * new svn snapshot, fixes:
    - #6756: window size too big
    - #6767, #6780: gnome-software-properties window broken

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 21 Feb 2005 11:30:52 +0100

update-manager (0.37.1+svn20050219) hoary; urgency=low

  * new svn snapshot, fixes:
    - #6565, #6565 (typo)
    - #6634 (remeber last details state)
    - #6635 (progress dialog merged in main window)
    - #6578 (hide details if no updates are available)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 19 Feb 2005 00:32:50 +0100

update-manager (0.37.1) hoary; urgency=low

  * typo (#6542)
  * package list is sorted now
  * applied "hide details if system is update-to-date" patch
    (#6578, thanks to Jorge Bernal)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 15 Feb 2005 10:49:17 +0100

update-manager (0.37) hoary; urgency=low

  * test for lock file and show error if the lock is already taken
  * use utf8 for the description
  * changelogs are fetched from http://changelogs.ubuntu.com/ now
    (closes: #6315)
  * handle 404 from http and set the error accordingly
  * set main_window to not sensitive when downloading changelogs
  * if no updates are available, hide the checkbox column (closes: #6443)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 14 Feb 2005 15:08:06 +0100

update-manager (0.36.6) hoary; urgency=low

  * various bugfixes and embedding of synaptics progress windows

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  8 Feb 2005 22:12:53 +0100

update-manager (0.36.5) hoary; urgency=low

  * disabled sources can now be displayed too (optional preference)
  * comments can be added
  * various bugfixes

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  3 Feb 2005 16:21:32 +0100

update-manager (0.36.4) hoary; urgency=low

  * regression of the last upload fixed
  * gnome-software-properties can be embedded into other windows now
    (usefull for e.g. synaptic)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 31 Jan 2005 22:59:35 +0100

update-manager (0.36.3) hoary; urgency=low

  * updates to the main window design

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 31 Jan 2005 16:59:41 +0100

update-manager (0.36.2) hoary; urgency=low

  * new main window layout in update-manager
    (Michiel design, looks _so_ nice)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 28 Jan 2005 12:20:57 +0100

update-manager (0.36.1) hoary; urgency=low

  * columns are resizable now (closes: #5541)
  * lot's of typo/gui-glitches fixes (closes: #5200,  #5816, #5801, #5802)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 24 Jan 2005 16:14:45 +0100

update-manager (0.36) hoary; urgency=low

  * new upstream release, added support to control APT::Periodic::*
    variables in gnome-software-properties

 -- Michael Vogt <mvo@debian.org>  Wed, 19 Jan 2005 16:59:19 +0100

update-manager (0.35) hoary; urgency=low

  * new upstream release
    - typo fix (closes: #5200)

 -- Michael Vogt <mvo@debian.org>  Wed,  5 Jan 2005 12:23:55 +0100

update-manager (0.34) hoary; urgency=low

  * new upstream release

 -- Michael Vogt <mvo@debian.org>  Fri, 24 Dec 2004 12:50:13 +0100

update-manager (0.33) hoary; urgency=low

  * new upstream release, featuring the gnome-software-properties

 -- Michael Vogt <mvo@debian.org>  Tue, 30 Nov 2004 12:41:06 +0100

update-manager (0.32) hoary; urgency=low

  * new upstream release

 -- Michael Vogt <mvo@debian.org>  Tue, 23 Nov 2004 15:28:09 +0100

update-manager (0.31-1ubuntu1) hoary; urgency=low

  * Update Build-Deps and fix FTBFS.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Mon, 22 Nov 2004 13:04:09 +0100

update-manager (0.31-1) hoary; urgency=low

  * new upstream release, added icon, desktop file and bugfix

 -- Michael Vogt <mvo@debian.org>  Sat, 13 Nov 2004 11:30:37 +0100

update-manager (0.3-1) hoary; urgency=low

  * New upstream release, inital ubuntu release

 -- Michael Vogt <mvo@debian.org>  Wed,  3 Nov 2004 14:48:14 +0100

update-manager (0.2-1) unstable; urgency=low

  * New upstream release.

 -- Michiel Sikkes <michiel@eyesopened.nl>  Sat, 30 Oct 2004 02:22:12 +0200

update-manager (0.1-2) unstable; urgency=low

  * Um Yeah.

 -- Michiel Sikkes <m.sikkes@luon.net>  Tue, 26 Oct 2004 13:16:13 +0200

update-manager (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Michiel Sikkes <michiel@eyesopened.nl>  Mon, 25 Oct 2004 21:49:07 +0200
